# DelphiSecureSQLDatabase

DelphiSecureSQLDatabase is an open-source project focused on enabling robust handling of encrypted databases in Delphi applications, including seamless management of DML operations on tables with encrypted columns. The project provides support for SQL Server and Azure SQL Database.

## Features

- **Database Encryption**: Manage encrypted databases to ensure data security.
- **Column Encryption with Always Encrypted**: Support for managing columns encrypted using SQL Server's Always Encrypted technology.

## Getting Started

To start using DelphiSecureSQLDatabase, clone this repository and refer to the documentation for installation and usage instructions.

## Documentation

For detailed instructions on how to use DelphiSecureSQLDatabase, refer to the [Documentation](link_to_documentation).

## Contributing

Contributions are welcome! If you would like to contribute to DelphiSecureSQLDatabase, please follow the [Contribution Guidelines](https://github.com/segovoni/DelphiSecureSQLDatabase/blob/master/docs/CONTRIBUTING.md).

## Contact

For any questions or assistance, please reach out via the [Issues](https://github.com/segovoni/DelphiSecureSQLDatabase/issues) section in the repository.

## License

This project is licensed under the GNU General Public License (GPL). See the [LICENSE](LICENSE) file for details.
