------------------------------------------------------------------------
-- Event:        Delphi Day 2024 - June 11-12                         --
--               https://www.delphiday.it/                            --
--                                                                    --
-- Session:      SQL Server Encryption: Data protection in a          --
--               Delphi Applications!                                 --
--                                                                    --
-- Demo:         Generate fake data                                   --
-- Author:       Sergio Govoni                                        --
-- Notes:        --                                                   --
------------------------------------------------------------------------

USE [AlwaysEncryptedDB];
GO

INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eleni', 'Devey', '1992-03-05 14:26:42', '4895529150', '374288880100069', 28438);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dode', 'Hirtzmann', '1978-09-17 11:02:51', '2768034452', '374283626842561', 49843);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bo', 'Oliveti', '2005-05-25 19:34:04', '6872188855', '337941202507322', 69383);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elwin', 'Collelton', '1982-02-03 18:24:19', '1584587709', '374288161986848', 72172);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roxane', 'Chivers', '1979-12-20 22:57:17', '7738116404', '372301686615586', 34221);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Drucill', 'Braams', '2003-10-31 09:19:20', '8381887968', '374283717513501', 44092);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brandon', 'Burdett', '1991-12-15 12:01:37', '0160760984', '337941162008816', 33268);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elisha', 'Hearnaman', '1985-12-25 12:31:52', '8179421430', '372301556229237', 50355);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aldo', 'Zanini', '2023-07-10 22:09:18', '4886713548', '374288066596528', 53704);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hanna', 'Tinker', '2000-07-22 22:30:59', '3915647330', '374283312251689', 35597);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nikolia', 'Peascod', '1981-03-19 01:25:25', '8528821056', '374288837478436', 60331);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sonny', 'Ricoald', '2006-01-23 14:33:09', '9785224627', '372301970951259', 51314);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wes', 'Childers', '1989-03-15 03:14:17', '3640900634', '373335905722418', 61206);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Penny', 'Miguel', '1985-09-25 02:36:03', '2465465139', '372301544419023', 36437);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karolina', 'Stieger', '1980-09-21 08:59:18', '8369365515', '337941680231791', 46759);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brendan', 'Bonsul', '1997-11-22 22:36:18', '5061826884', '349197367153651', 43482);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marleah', 'Matveichev', '1979-12-19 23:34:22', '4777898202', '374288690854343', 27813);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carey', 'Jaulmes', '2005-10-16 04:06:33', '8634457931', '341406991364487', 32334);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wyndham', 'Cassius', '2007-08-30 11:04:43', '3387144431', '337941808590326', 31392);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Matty', 'Twentyman', '1977-01-24 02:28:43', '8082453559', '372301073415657', 44246);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arline', 'Macvey', '1975-09-28 03:11:47', '1814358528', '337941746955508', 25100);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carilyn', 'Crush', '1991-12-05 03:13:23', '2675878162', '344973305736210', 43874);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Beryle', 'Oselton', '2019-03-27 07:54:02', '7147250826', '374283752709410', 42639);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fields', 'Mulqueen', '2006-10-16 10:51:31', '2564400930', '374283010824209', 58326);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annetta', 'Germain', '1991-06-04 11:49:03', '1281655104', '372301543978532', 69955);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shandy', 'Warrick', '2007-12-06 16:37:46', '6108157151', '372133724192579', 31514);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fairleigh', 'Hazlewood', '2021-08-22 17:00:57', '2271856345', '348284015370258', 54560);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ranna', 'Santori', '2015-08-31 16:25:32', '7768635604', '374283745162057', 50814);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Griffie', 'Grzegorzewicz', '1997-08-09 06:37:32', '5658225221', '374622565467908', 34871);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Valentino', 'Fillary', '1975-07-07 18:56:38', '2366700571', '374288768668476', 56579);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lionel', 'Ashpole', '1978-09-08 15:58:58', '8090156932', '374283701838468', 65655);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lory', 'McGiffin', '1991-04-15 07:18:11', '4809054489', '374288403889974', 42596);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Obidiah', 'Smellie', '1994-03-16 09:43:12', '0474754049', '372301242118588', 27345);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerrylee', 'O''Suaird', '1999-12-15 05:31:26', '9031985686', '374622343709118', 43248);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kizzee', 'Pozzi', '1994-01-23 12:49:54', '6525844096', '374283443918784', 33399);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Charil', 'Brayn', '1984-10-04 22:24:17', '5764752493', '372301101123042', 28827);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lonni', 'Lathy', '2011-01-16 13:52:48', '1667344773', '374622339707407', 43860);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Stuart', 'Canti', '1977-12-30 01:23:04', '2467072584', '372301380929879', 46028);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elspeth', 'Kupka', '1991-07-27 16:47:14', '6038825878', '374283799664149', 59862);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Blayne', 'Mushart', '1986-01-02 12:34:40', '4381545389', '337941927421825', 41999);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alyosha', 'Vowden', '1992-07-21 13:33:46', '3080465431', '370032187788117', 41315);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Torrey', 'Pichan', '2008-08-15 17:26:25', '9429701207', '374622392988928', 70208);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abbie', 'Matevosian', '2007-12-04 20:43:47', '9007327208', '374288647468411', 71845);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Loretta', 'Rainforth', '1988-08-20 19:47:00', '2256098680', '343121306620956', 65483);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Vina', 'Briers', '1976-06-23 06:14:06', '5352636577', '374622751769513', 63442);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cinderella', 'Banbury', '1995-03-07 21:56:59', '5574680947', '374283767494461', 33652);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexandre', 'Balleine', '1976-11-06 10:36:03', '7110330087', '374512699616654', 64938);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dani', 'Offener', '1983-04-26 08:28:25', '2884538585', '374622021255517', 73294);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deeanne', 'Renwick', '1975-07-13 23:21:31', '9281906163', '374283396189987', 50932);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garnet', 'Burness', '2014-09-17 15:14:47', '4139541415', '340713216483914', 60274);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tatum', 'Ciccarello', '2021-11-13 14:07:34', '7173043980', '347012767386730', 48227);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Terrill', 'Scarlin', '2014-06-01 16:00:54', '1900004240', '337941644600784', 51077);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hally', 'Bugdall', '2005-03-20 07:38:29', '4965642813', '374283969763812', 47067);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Coleman', 'Rickford', '2016-03-04 02:53:47', '3172671585', '374283389371444', 58985);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erick', 'Weatherhill', '2004-10-06 21:33:58', '9365965071', '372301287387361', 48457);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kriste', 'Cumberlidge', '1986-02-18 16:42:53', '0021272751', '372301590040129', 50868);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carolus', 'Yesenin', '1978-05-28 10:01:37', '9227434275', '374622267507357', 29359);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Berton', 'Andreev', '1987-03-24 06:29:05', '7642850840', '372524126614998', 43045);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Beau', 'Whotton', '1984-10-26 00:50:03', '7001017272', '372301587883861', 35498);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chev', 'Lavallin', '1994-10-19 17:23:44', '9280663658', '374288065571555', 65747);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Denni', 'Henricsson', '2023-10-28 17:07:52', '6368945230', '373450266879143', 27733);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hamilton', 'Josephoff', '2011-06-26 15:18:16', '6495542224', '372301189483581', 37833);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Philipa', 'Este', '2000-02-28 18:17:57', '2020228149', '374288422192418', 67530);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dru', 'Keay', '1990-04-30 14:32:01', '2255266083', '337941962529326', 73513);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Flo', 'Caustic', '2001-03-03 09:49:40', '3257568436', '340224369275628', 59303);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Taddeusz', 'Nobriga', '2001-05-28 17:02:36', '4921246572', '374283266309301', 61388);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sharla', 'O''Codihie', '2012-10-31 04:46:43', '3918869334', '374283439244567', 63296);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darb', 'Lund', '2011-04-10 07:48:39', '4837073387', '374283960615318', 68998);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Thaddeus', 'Simons', '1989-05-09 08:36:18', '5106536448', '337941367913083', 67751);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roderigo', 'Ridsdale', '1991-09-27 16:19:08', '5179558395', '379131350219057', 35998);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fidelity', 'Runcieman', '1982-05-06 09:53:22', '9501808955', '374288491969514', 35850);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Booth', 'Henrion', '2000-12-25 07:48:03', '1403501386', '374283603015967', 29451);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Filberto', 'Bouda', '1998-09-29 00:46:12', '9325224453', '374283671678159', 31395);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tulley', 'Tompsett', '1984-04-27 23:27:17', '8678278587', '337941632880646', 70672);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Odessa', 'Botright', '2000-08-12 16:14:49', '2214967214', '337941056863011', 52747);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Adena', 'Corro', '2016-07-16 12:09:57', '5445321045', '343438031275371', 32493);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marci', 'Bortolotti', '2002-02-24 06:14:10', '9708618144', '345074391441549', 51294);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Walton', 'Marginson', '2015-05-05 03:20:41', '8467272910', '374288006559578', 42141);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roi', 'Tripet', '2002-05-23 11:03:43', '8505410823', '374622072660458', 34490);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sergei', 'Bogeys', '2005-12-09 18:30:52', '4766238818', '342115869586092', 31208);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ellerey', 'Jansik', '2001-09-26 15:36:58', '5955313753', '372305395534285', 47504);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eward', 'Lerego', '2009-04-01 12:36:10', '4193685446', '371918136654807', 28032);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nicki', 'Delamere', '1980-09-16 18:54:49', '4845158337', '374622777687905', 54648);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tyrus', 'Chillingsworth', '2017-05-30 00:09:29', '5914186897', '374288009007617', 74986);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Anne-corinne', 'Grewar', '2015-09-16 00:31:46', '0309588022', '374288013279269', 46398);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kamila', 'Gilchrest', '2020-03-11 07:25:20', '2575103010', '378526019976248', 67767);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delbert', 'Bosward', '1987-06-22 03:52:02', '2801013498', '374283801928706', 66870);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rik', 'Rooksby', '1979-03-17 23:05:04', '0387018492', '374283505520577', 65192);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Yale', 'Tamburo', '1998-05-23 02:38:11', '6351411149', '374288528216483', 64080);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Whit', 'Hartnup', '2018-09-08 06:09:15', '5358703861', '374283646877456', 37301);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hayley', 'Winch', '2006-11-11 13:51:56', '7329311766', '373503231993686', 37934);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brenden', 'Briggdale', '1987-08-30 02:28:23', '6435975639', '374622949994684', 51747);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Galven', 'Eleshenar', '1977-06-28 08:41:04', '8660756029', '374288809756058', 56707);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Washington', 'Coldicott', '1989-01-17 20:21:43', '0146224876', '372301278651510', 44711);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Finn', 'Milne', '1999-04-06 19:25:43', '2645932088', '348706223937460', 30802);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eward', 'Gerretsen', '1993-08-01 19:17:18', '3673376667', '372301724909595', 51405);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shina', 'Gammage', '1976-04-06 21:14:21', '1708406611', '377008439309491', 51403);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harmon', 'Marion', '1994-03-14 14:09:32', '7913310529', '337941126590503', 59434);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Domeniga', 'Ainsworth', '1985-08-31 19:29:11', '9115985431', '374622800408048', 45144);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mallorie', 'Canedo', '1996-04-22 00:15:54', '4455265546', '374283055839088', 55984);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marlane', 'McRoberts', '1983-01-15 02:14:07', '2113384647', '374288396720137', 61892);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Anders', 'McKag', '1986-10-23 01:48:40', '1979308764', '372301054659356', 63234);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ermina', 'Tsarovic', '2020-04-10 12:38:49', '7614219155', '374283997199195', 37379);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shurlock', 'Gussie', '1987-10-17 07:55:12', '1110658192', '342611880146619', 73084);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dodi', 'Rabat', '1998-03-20 18:37:42', '9160740140', '337941439272211', 66480);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Byrom', 'Hounihan', '2011-05-14 23:08:22', '0815074549', '374622185335618', 39267);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ursola', 'Breitling', '2017-05-26 22:50:56', '8710683135', '337941068201762', 53637);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cristabel', 'Ayling', '1988-08-26 08:40:41', '0946826927', '373734713279498', 68612);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gael', 'MacAnellye', '2009-03-31 10:27:20', '3438639858', '337941256387589', 53934);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lian', 'Toppes', '1976-03-22 00:09:55', '0947463143', '372327883241454', 66464);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ulrica', 'Tomson', '2002-07-03 14:39:55', '7948771972', '374288304660011', 39914);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chaim', 'Sharram', '1980-03-14 17:09:04', '1380124956', '372301498057993', 25493);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kassia', 'Creelman', '1986-06-17 00:36:57', '0953646130', '372301280198187', 74811);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Renee', 'Pawlik', '1995-06-07 18:56:08', '9009471365', '374396187781224', 40981);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Beryl', 'Bolley', '2023-06-09 11:24:52', '0958808058', '374283377958699', 42071);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chris', 'Freezor', '1993-08-27 04:28:27', '4190257710', '377084601990566', 64034);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Iolande', 'Ciccottini', '2022-07-11 00:29:51', '5294601214', '370712664409218', 42974);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Glenda', 'Hum', '1998-04-21 10:51:31', '0588616303', '372964440542527', 27975);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kile', 'Harnes', '2007-01-14 12:07:40', '3545532577', '374288877553965', 35989);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Guillaume', 'Lakin', '1997-02-15 11:40:26', '7607965645', '346174787611629', 60319);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zarah', 'Oliveira', '2023-09-26 11:03:15', '7897044459', '374288075354018', 39028);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Horton', 'Gisborne', '2023-10-30 05:47:56', '8699875347', '374622177119103', 38764);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Benton', 'Lawman', '1994-04-18 10:17:59', '3414483556', '374283965251937', 50525);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ailbert', 'Maciunas', '1980-06-07 16:48:46', '5333139830', '374283744898198', 36008);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gaby', 'Foddy', '1998-12-23 17:06:54', '1188562010', '372301309829663', 57094);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dorise', 'Murby', '2011-12-01 09:05:52', '2711822621', '374283527676936', 42962);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Evie', 'Boards', '2015-04-11 14:08:37', '6584005755', '374622150488319', 47478);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexis', 'Basso', '1992-02-06 11:49:48', '5629162764', '374288439911016', 30383);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Miller', 'Gut', '1981-08-15 02:00:50', '8278098239', '337941515425337', 67201);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hermie', 'Sissland', '1985-10-24 11:38:42', '9841624109', '370547604554057', 55053);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annemarie', 'Gerring', '2004-12-31 11:32:07', '4537257415', '371889346023119', 36983);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Joelie', 'Blant', '1980-05-06 16:27:20', '0267119380', '337941103888078', 33906);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mile', 'Pinsent', '2018-12-26 13:25:12', '7361477054', '374622289199027', 74617);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ingmar', 'Gretham', '2024-01-23 12:18:16', '7847878631', '374283022681365', 41209);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nev', 'Spacie', '2019-07-07 23:55:41', '7678351011', '337941850933085', 45010);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bay', 'De Andisie', '1999-06-07 06:51:09', '0488660696', '374622384487442', 63976);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Boonie', 'Cruce', '2018-09-24 05:11:40', '6055488884', '374288628584681', 55040);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Christiano', 'Pauwel', '1991-12-04 16:11:06', '3200834005', '374283599153863', 46923);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ansel', 'Crittal', '1994-12-01 01:34:57', '5450997280', '374622900533554', 74933);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cindi', 'Anthoney', '1987-10-30 12:40:45', '7134567281', '372301580713396', 39855);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Savina', 'Joriot', '1987-08-12 06:00:32', '0487165950', '374283457584068', 55297);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lorette', 'Gianolo', '1998-01-19 17:20:49', '0078111692', '374283853223741', 41697);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Claiborn', 'Donnett', '1990-03-04 16:26:18', '9468799891', '374288329792989', 42514);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fritz', 'Braime', '2013-08-20 21:50:07', '8189148761', '337941490741849', 52567);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Euphemia', 'Bratton', '1999-05-24 22:41:58', '3352251460', '346349693277430', 29992);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gussy', 'Tebbut', '2001-10-13 03:33:24', '2363847083', '374622981979189', 27511);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erroll', 'Legh', '2022-05-04 01:37:36', '0929498216', '372301809988704', 71506);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arielle', 'Viccars', '1981-07-11 18:48:52', '8494487523', '374288072407124', 65184);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jacinthe', 'Lindores', '1987-02-16 15:49:36', '3605516343', '344183594426040', 63677);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lennie', 'Bramford', '1977-11-30 03:40:47', '0935358102', '344452581095260', 59131);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alastair', 'Leathlay', '1994-10-17 14:52:00', '2608819087', '374622636411208', 39011);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Silvanus', 'Pack', '2009-12-17 02:53:24', '5292654582', '372301053285732', 46407);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bunny', 'Alwood', '1977-08-18 23:32:35', '3211403973', '340090163881972', 44823);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erminia', 'Rabb', '2009-10-15 10:56:15', '1473799392', '337941796194065', 50416);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dulcy', 'Harpin', '2020-05-29 14:00:18', '7094518099', '374622714502142', 31989);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chrotoem', 'Boarer', '2008-07-29 23:13:39', '7671116025', '372301051738617', 63858);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jaime', 'Terrans', '1989-10-20 02:31:19', '5778390912', '374288889304316', 25165);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerrine', 'Swainsbury', '2018-01-27 18:23:10', '2325635066', '374622589695237', 35170);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Merrili', 'Starte', '2020-09-20 00:59:06', '5566751393', '337941411965527', 44287);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rees', 'Brotherhood', '2012-03-10 05:59:53', '5680927837', '343378967028297', 61868);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Briney', 'Spiring', '2023-08-18 18:59:46', '5993494921', '374622443809792', 37094);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Flore', 'McNeill', '1992-07-07 05:06:14', '6566017356', '344327256284425', 28562);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ynez', 'Bardell', '1985-09-15 04:41:10', '8590270572', '372301653757023', 33432);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nelle', 'Garfath', '1994-09-14 04:10:45', '9675845155', '374283421437187', 62714);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Beatrice', 'Orrett', '1978-09-04 17:00:44', '1236412958', '374288207021329', 38008);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mindy', 'Wildt', '2019-06-05 22:54:13', '4876719616', '374622300843769', 58894);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zechariah', 'Raye', '1983-10-03 10:37:51', '5530862217', '374288354195082', 46580);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ermengarde', 'Gaylard', '2000-06-13 03:19:46', '1977978401', '348434484530532', 27639);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Raynard', 'Urlin', '1985-12-09 05:30:05', '7896559447', '372301705074518', 45530);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lyle', 'Hurne', '2021-07-10 11:16:16', '9685328870', '337941715273131', 71694);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hermie', 'Lawman', '2013-10-12 14:23:31', '5202088078', '372301157481369', 38584);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Adena', 'Kerrey', '2001-09-25 08:39:20', '4960692065', '343978351943751', 52485);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marga', 'Fitchett', '2023-12-09 23:25:37', '1543457401', '373663488672803', 57120);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Winnie', 'Budgey', '2012-09-01 09:46:51', '2451878649', '372301339938997', 66396);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Barclay', 'Price', '1998-07-01 05:00:09', '5679150522', '372301319892487', 25370);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Morgan', 'Lamplugh', '2016-01-03 15:21:21', '3304110038', '374288525252200', 74786);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Camella', 'McCaskill', '2013-08-29 14:24:17', '5714079221', '372301782157269', 44101);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cliff', 'Steele', '1976-06-28 07:18:08', '9141288432', '374288819182337', 38964);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Conrade', 'Vaun', '2008-11-24 05:45:50', '0077548426', '374283497660910', 61218);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Regine', 'Messenbird', '1975-08-19 11:53:13', '8325898623', '372301215007503', 50329);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Barn', 'Drinkwater', '1978-06-27 11:56:09', '2042848948', '374288563849289', 48244);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dar', 'Dumblton', '2022-08-05 14:18:47', '3938536462', '374288872628309', 58789);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Benedetta', 'Houseago', '1993-04-23 03:38:23', '0992733634', '374288518434245', 66435);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elyn', 'Gerhartz', '2012-09-24 07:54:36', '2752166265', '374622390587664', 63425);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ethelind', 'Kinvan', '2001-02-01 13:02:51', '1575349388', '344366233566736', 69807);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erina', 'Lashley', '2022-08-03 15:50:56', '4536969535', '374622518200349', 61885);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jeni', 'Seifert', '1999-10-08 09:51:14', '4383129072', '337941712960672', 37166);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chico', 'Jolliman', '1993-06-17 12:44:32', '0708220037', '372201735056636', 29886);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ferdinanda', 'Schistl', '2000-06-09 23:10:23', '0353930806', '348717280758434', 58778);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zulema', 'Axton', '1993-09-12 14:51:33', '4106335484', '346449644562698', 52793);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kippy', 'Dyton', '2022-09-22 13:40:53', '2671034490', '374283073371353', 66054);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Desiri', 'Forten', '2017-01-20 12:06:03', '5179207126', '374622565193074', 50377);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Guillema', 'Sywell', '1996-11-30 18:37:02', '3374886507', '342578612305054', 45693);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Natty', 'McGeown', '1995-10-26 14:04:45', '1042326118', '374622792337148', 50339);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Helene', 'De Angelo', '1976-05-28 09:04:26', '9347196924', '374622148253320', 64389);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Amos', 'Scrogges', '2008-04-04 02:20:27', '5007548979', '374283857230650', 40675);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dehlia', 'Joutapavicius', '1988-06-02 20:06:27', '5015892691', '372301083190472', 74717);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Peter', 'Haycraft', '2024-03-14 16:34:05', '1810916348', '349574888740416', 28720);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Prudence', 'Fley', '1999-11-30 02:52:12', '2298498040', '377583973400344', 49151);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Berta', 'Burdett', '1997-12-06 21:06:38', '5813840273', '372301335514933', 41239);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Godwin', 'Jeanneau', '2007-09-24 08:11:09', '9461483694', '337941197721318', 44251);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wandie', 'Briat', '2024-03-28 04:39:12', '5853024574', '374283685403966', 62609);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jayme', 'Kanzler', '2010-08-21 07:09:08', '6801530496', '346637360047882', 26753);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ronny', 'O''Shirine', '2020-08-13 17:56:48', '4485720268', '374288139558471', 69723);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Franklyn', 'Stather', '2012-01-25 10:08:15', '6090992720', '372301470404155', 29090);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bobina', 'Neasham', '2013-11-22 09:15:30', '4266330472', '372301210527810', 72900);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Morgun', 'Beasant', '2020-09-17 02:09:13', '8915786394', '374711336802996', 40042);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Radcliffe', 'Sperling', '2008-03-25 07:29:30', '4727621649', '347960777476687', 48102);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Malia', 'Capehorn', '1997-07-19 03:51:53', '0802502695', '374288796440864', 48870);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Esther', 'McCathay', '2005-03-12 17:23:14', '3554688746', '372301149092944', 59723);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Astra', 'Traise', '1983-07-09 01:29:36', '8010088110', '372301278504131', 46809);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ulrike', 'Nilles', '2022-07-10 00:39:10', '0913303860', '372301548978057', 65721);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Raviv', 'Jacobson', '2007-12-27 20:05:59', '0776997807', '371035091327038', 25087);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Denny', 'Hartrick', '1987-12-05 09:30:40', '8530095278', '372301145026243', 51386);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elliott', 'Baniard', '1982-01-24 01:55:54', '9778761159', '344287594784413', 41916);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erica', 'Zanicchi', '1990-05-15 17:08:59', '5435225256', '374283439390956', 42206);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sutherland', 'Vedmore', '2002-10-17 18:17:12', '1208977377', '378686900642869', 60875);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Yoko', 'Powell', '2023-01-25 11:13:55', '6882081026', '344957867433340', 38495);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Andrew', 'Breznovic', '2010-08-22 22:25:32', '6414782785', '374622201979852', 36540);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darda', 'Delgadillo', '2007-04-30 22:04:13', '1653741384', '372301248105027', 72757);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annabal', 'Draisey', '1986-10-13 00:42:09', '8371396244', '346450570171181', 39737);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Janna', 'Comar', '2004-05-06 04:54:18', '1037720709', '372301505799546', 56295);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nissa', 'Kilshaw', '1976-04-24 22:46:23', '7248319686', '349007607726713', 52239);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jordanna', 'Caldow', '1986-11-13 02:19:41', '8834595718', '372301084675943', 26185);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lammond', 'De Carolis', '2020-02-17 17:54:06', '1098054520', '343226245946485', 52499);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Amery', 'Stilliard', '2015-07-27 05:13:56', '1067080848', '337941134144897', 40575);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Francois', 'Maffezzoli', '2010-09-13 17:34:24', '0422762733', '374288791821621', 37716);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Birk', 'Fletcher', '1976-11-17 12:50:32', '9049376142', '374622788500238', 30164);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Geralda', 'Gatheral', '2014-05-27 01:54:18', '2387076184', '337941980202625', 30421);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marshall', 'MacKaig', '1999-01-12 17:29:29', '5164785676', '372301939113967', 63669);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Calli', 'Bartusek', '1993-08-21 11:43:12', '6068504239', '348453606064725', 38119);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leila', 'Scase', '1995-08-01 01:34:15', '2252163062', '374250273452663', 58995);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kary', 'Hrynczyk', '1996-05-05 08:21:13', '9091994126', '374283389974833', 43219);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Benjie', 'Asmus', '2002-02-01 00:31:30', '9858832028', '374622909825001', 59968);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arman', 'Kelsell', '1984-12-22 01:46:07', '0371952506', '374288282338754', 49316);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tiffanie', 'Biaggi', '2018-05-20 09:35:50', '0909482098', '379310342567456', 44191);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nealon', 'Nimmo', '1980-06-24 08:24:43', '2365353665', '374622855724745', 35006);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Flin', 'Alexsandrov', '2012-05-21 04:31:02', '7828163622', '344069580124782', 47037);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Steffen', 'Kopelman', '1995-08-05 09:42:36', '4403276636', '372301875160550', 27789);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexandr', 'Maber', '1994-11-01 05:07:10', '2669535968', '376263904576493', 71711);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kiah', 'Muirhead', '1996-10-18 13:54:56', '0796669007', '374288156704602', 59968);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Monique', 'Scarlan', '1999-01-01 08:35:35', '4280928010', '377732913196021', 73154);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hynda', 'Raselles', '1976-02-21 05:41:52', '9882282512', '372301382317388', 47711);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brandie', 'Leemans', '1995-03-11 19:24:59', '0790140721', '340973892378818', 57269);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Viole', 'Skeates', '2000-10-19 02:58:27', '4691694137', '374283885759894', 29690);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Veronike', 'Bahls', '1990-03-21 10:46:25', '8234397486', '337941354286899', 25036);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mira', 'Garvie', '1998-10-14 04:16:03', '4030802753', '370241334822162', 69540);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cindi', 'Stollsteiner', '2019-10-19 07:41:34', '0025365185', '372301295088944', 70106);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aindrea', 'Cosgrove', '1995-05-05 07:44:25', '0968394442', '372301056109707', 58129);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Obidiah', 'Durman', '2007-10-31 07:09:55', '7577715387', '374622947734579', 34603);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Andrej', 'Roft', '1994-12-18 03:34:29', '3494730725', '374283295396519', 31486);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fleurette', 'Jays', '1976-01-26 00:02:19', '5327660966', '374283090971854', 33046);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Frank', 'Paradise', '2009-01-14 05:16:06', '7083019193', '373373001395144', 48040);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Micky', 'Shergold', '2005-08-28 00:28:26', '8621969467', '372301673629186', 46056);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexandro', 'Priddey', '1990-12-20 08:20:25', '9627589322', '337941505169317', 38164);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Renaud', 'MacAleese', '2014-03-30 01:41:37', '6352869947', '337941434099205', 44947);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jefferson', 'Kenwin', '2014-12-11 12:50:43', '1172305331', '372301917492896', 69782);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lusa', 'Steanyng', '1988-10-02 16:35:39', '9889211580', '374622943855055', 56839);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ade', 'Thames', '2005-10-19 08:40:15', '3964994561', '337941657552674', 28587);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Egbert', 'Billows', '1980-08-31 02:01:06', '8379349709', '372301202278661', 69054);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Debor', 'Eves', '1982-03-12 14:06:26', '3363489692', '374622059522267', 45838);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ainsley', 'Deshorts', '2019-08-27 02:00:52', '9335923257', '337941088355499', 59673);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chaddy', 'Hartill', '2013-11-19 15:57:45', '6370829048', '372301762718049', 49310);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Enrique', 'Shubotham', '2009-11-28 04:19:42', '8608790130', '337941516940599', 46500);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Clarita', 'Cokayne', '2014-11-23 01:37:02', '5355902308', '374622508477915', 38842);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tish', 'Misselbrook', '1978-06-10 06:26:30', '7769442745', '374283580525756', 42495);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kellina', 'Shevill', '1977-11-01 00:28:24', '0125345658', '337941746045169', 64138);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nadiya', 'Lymer', '1991-04-02 10:46:13', '5008216902', '342805313873555', 33952);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Egon', 'Noni', '2002-03-31 21:04:32', '3802393910', '372301768176242', 72453);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lora', 'Uzielli', '1985-10-04 11:04:25', '7865415095', '372301535418984', 29311);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ida', 'Janczak', '1986-02-10 09:09:05', '1907901191', '378753265515740', 52610);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ax', 'Edgars', '1996-01-16 09:24:17', '3082424031', '374283413728106', 62610);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brunhilde', 'Mosconi', '1997-03-12 04:34:52', '6414068411', '374622997497820', 66985);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Oralla', 'Forgan', '2021-11-20 19:52:43', '1497421357', '337941423891133', 55329);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ailey', 'Tattersdill', '2017-04-11 20:55:01', '3918140857', '343344851704344', 49756);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elke', 'Lysaght', '1999-08-13 08:45:40', '1970369183', '374622599784062', 26653);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shae', 'Atkin', '2001-01-18 16:14:56', '3267033934', '337941757533889', 44485);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lenka', 'Mardle', '1981-09-30 08:30:52', '0900834684', '343276595827769', 52772);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gabi', 'Crossfeld', '1998-03-12 04:01:49', '1206154772', '374622826163643', 28519);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Renato', 'Hamberston', '1986-03-04 03:21:05', '9508962739', '340372707201812', 61891);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Goldia', 'Corwin', '2019-10-16 19:06:58', '6268858964', '374288879050119', 29254);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Patric', 'Corp', '2008-10-17 05:41:44', '4876969612', '372301830919827', 43020);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Orelee', 'Grise', '1984-04-06 23:19:20', '9853279673', '341021830488932', 60196);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Christalle', 'Kerwen', '2009-04-05 14:27:53', '8128995030', '374283723608352', 65185);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reta', 'Hallen', '1984-02-25 01:54:42', '6021860918', '374622398815810', 57418);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chrystel', 'Abba', '2011-08-24 10:12:04', '9710552910', '374288244559679', 73466);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Boonie', 'Fillingham', '1982-07-04 15:00:19', '8551482823', '374288300857223', 43392);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shel', 'McNalley', '1990-03-05 10:17:50', '1996303058', '374288001846632', 68618);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jenifer', 'Reace', '2015-10-07 02:02:42', '5984528622', '371524146375175', 55308);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dalton', 'Espinoza', '2008-07-06 22:09:18', '7112508452', '374283141997700', 40911);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Una', 'MacGillivray', '1983-04-20 00:23:19', '5198402281', '374288791742132', 58886);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Willamina', 'Gentiry', '1980-01-30 12:50:42', '6174869636', '374283265684696', 28857);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karina', 'Figgures', '1981-07-22 08:01:55', '4666955542', '374622693186313', 68755);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Regine', 'Maylin', '2017-09-07 11:32:47', '3336938554', '372301783012851', 45682);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Egon', 'Atwel', '2018-04-28 06:26:56', '8377673819', '337941185989331', 34944);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elsi', 'Domingues', '1979-07-26 09:39:35', '2310500747', '337941720634095', 51031);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kirby', 'Short', '2019-09-30 04:06:10', '0840075634', '370353109498605', 54220);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Werner', 'Slopier', '1980-12-15 16:39:53', '3457754586', '374283559180732', 34419);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tomlin', 'Darleston', '2005-10-25 18:17:10', '7643483906', '377544275765602', 33607);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garrik', 'Barratt', '1977-09-09 13:00:05', '8981320403', '374283987377249', 63538);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Felita', 'Firk', '2001-06-06 01:09:43', '5967339388', '340650459945888', 71372);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nydia', 'Davioud', '1993-09-02 10:11:48', '3952580678', '374288017702894', 60394);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dennison', 'Mursell', '1981-04-09 08:43:09', '4305736756', '373160364725284', 65799);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jodee', 'MacGille', '1993-08-02 15:15:38', '8186291210', '374288209471688', 62159);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Laurella', 'Rule', '1992-04-26 09:15:41', '4918214959', '377848805373534', 73101);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kala', 'Daingerfield', '1989-09-26 23:49:13', '8895361393', '373517613138785', 63358);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Analise', 'Vasyukov', '2023-05-07 08:53:25', '7814048168', '378811070689678', 62046);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sigrid', 'Cromly', '2023-12-07 08:55:39', '8225348796', '374288318937231', 39187);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Angil', 'Stiles', '1977-11-02 19:26:17', '6338716985', '337941270769994', 36274);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darwin', 'Groves', '1993-12-10 22:01:23', '2808241038', '343694116414216', 26680);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nathaniel', 'Swettenham', '1988-08-11 22:48:13', '2024130631', '337941910533792', 62421);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Stirling', 'Mirfin', '2022-07-25 17:28:48', '0524982597', '345599517577099', 26510);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kathlin', 'Elliker', '2012-10-28 05:50:28', '1286388341', '372301554122699', 28122);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eartha', 'McDuffy', '1981-01-21 06:05:22', '5730569270', '374622515024841', 41276);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alvy', 'Cecchi', '2009-04-13 11:21:06', '8278323739', '374622353033649', 54355);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maxine', 'Tarrier', '2003-01-12 05:55:13', '3778899317', '374622628475807', 57536);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lazar', 'Blaxter', '1986-07-18 18:43:57', '3790946346', '372301111088433', 62976);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Celeste', 'Titcom', '1975-12-18 11:35:23', '9717374406', '372301863414258', 38428);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Floris', 'Gane', '2000-09-29 17:23:56', '2252535105', '372301463039083', 60236);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hermine', 'Allkins', '2009-03-07 17:09:31', '6035954278', '374283765265293', 48289);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sophronia', 'Spelling', '1995-02-11 23:36:40', '6549358450', '337941733992167', 43365);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Libbi', 'Crawcour', '1992-01-27 19:06:15', '0769900860', '374288940039604', 55986);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dyana', 'Seggie', '1998-09-26 20:03:05', '6821594694', '374283661596635', 65946);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gabbie', 'Spreag', '2024-04-15 23:31:01', '9608741467', '345027745855996', 42366);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eudora', 'MacFarland', '2021-03-01 13:25:56', '4070028757', '374283677239600', 27721);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gorden', 'Barroux', '2023-10-12 06:04:24', '8137083871', '374622474412730', 41341);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Renault', 'Brookes', '1979-04-22 01:06:59', '1022221663', '337941546724906', 28174);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gretal', 'Bossingham', '2011-09-19 06:10:04', '4435223538', '337941813400727', 63801);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wheeler', 'Gifkins', '1991-02-26 14:15:25', '2174205599', '374288444102569', 47488);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Berty', 'Retchless', '1978-05-26 14:11:07', '6797217687', '374288811929412', 59519);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rufe', 'Wycliffe', '1989-02-17 00:59:37', '4420331968', '374283481145340', 54101);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Teodorico', 'Gammack', '2014-11-26 10:29:08', '6379554777', '337941805114468', 74878);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eward', 'Boyford', '1979-10-28 03:55:48', '7662151611', '340452244454478', 72955);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Angelo', 'Eckersley', '2015-09-30 15:16:38', '4723591478', '341148748653685', 70566);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Quinn', 'Gotliffe', '1989-06-17 22:58:45', '3081189810', '374283238751432', 63629);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ted', 'Earthfield', '1976-11-24 16:42:10', '9178159245', '374288558777636', 65870);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Melisent', 'Cisco', '2000-07-13 19:15:38', '7291803497', '340951016373188', 37938);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Star', 'Leddie', '2000-03-06 00:56:05', '6475142425', '372301898834454', 49684);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Appolonia', 'McCrackan', '1983-08-08 18:13:38', '6765897801', '372301889086536', 71688);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darrel', 'Reddel', '2018-02-10 19:26:30', '3862932591', '337941446306861', 41007);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Katharyn', 'Saffe', '2002-12-07 00:35:07', '6120815279', '375764608385801', 50931);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Robbin', 'Girardey', '1985-06-03 18:51:38', '7116536337', '374622232682152', 66104);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shane', 'Greedyer', '1992-05-15 12:17:07', '0808089056', '374283976018002', 40356);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Townie', 'Turney', '2012-06-24 05:28:22', '9319267847', '372301275694935', 36605);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Effie', 'Rupert', '2022-09-10 14:05:17', '2669295606', '343369811058333', 54751);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alard', 'Bottelstone', '1980-06-23 07:52:48', '2158075589', '373400064909139', 68638);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Randolph', 'Sallan', '1993-09-11 12:57:37', '8435580385', '374622203711295', 63672);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wandie', 'Woolerton', '1982-11-09 08:53:28', '1153400677', '374283563642941', 71995);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kimmie', 'Glencrosche', '1988-01-23 16:58:05', '1784006572', '370037214228342', 43579);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Quint', 'Bredbury', '1983-02-12 04:39:28', '3880172536', '374288311620321', 39868);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Penelope', 'Pont', '1996-06-06 20:32:50', '2963239661', '345669854490089', 32592);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gipsy', 'Mozzi', '1977-06-07 20:32:00', '3959204671', '374283799583711', 53877);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kath', 'Poppleton', '2017-07-11 23:50:35', '7567560208', '374288407446557', 68312);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Griffin', 'Gillebride', '2002-10-11 06:48:17', '7089295710', '337941465992039', 50908);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Matilda', 'Zavittieri', '1980-11-17 20:27:34', '5841174886', '374283045195302', 74178);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Juliana', 'Southerden', '2011-04-28 00:33:02', '3683727551', '374283450047873', 72376);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gideon', 'Carrick', '1997-08-17 12:58:46', '1553475631', '342747530798365', 38543);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cristabel', 'Yabsley', '2020-10-08 18:29:47', '7870814032', '349551945179879', 72526);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Edd', 'Deverson', '2000-06-24 13:53:51', '1828608130', '374283837708940', 54187);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elizabeth', 'Volks', '1980-07-17 01:22:13', '2504974388', '337941545979550', 53221);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Loralie', 'Dietsche', '1994-10-20 08:51:32', '4840278776', '337941615403085', 63471);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zabrina', 'McWhirter', '2003-12-11 02:28:07', '2337407039', '374288025558957', 33409);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nils', 'Maven', '1980-12-11 04:40:02', '0632548924', '375978544845781', 43984);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Linet', 'Nolder', '1996-05-08 20:19:24', '5051312462', '372301961388404', 63759);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chiquita', 'Gladwish', '2018-04-03 12:56:36', '8269285730', '371641170742219', 48619);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Adrianne', 'Mewburn', '1999-03-28 15:15:00', '9955732946', '374283261610851', 52516);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alain', 'Galliard', '1990-01-16 15:53:25', '7660197002', '372301258507245', 71110);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Miof mela', 'Larwood', '2016-12-26 14:07:11', '6530988173', '377021266681734', 61881);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Odelinda', 'Silberschatz', '2007-03-10 21:50:05', '2078981257', '374283298770652', 73612);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Edvard', 'Demko', '2012-07-23 18:46:49', '1199757713', '374288524756698', 36998);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chrisy', 'Sabben', '2024-04-02 02:42:08', '2321873248', '337941545492117', 63890);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sutton', 'Took', '1996-06-06 11:32:19', '2823585397', '337941072587933', 71244);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerald', 'Kibbey', '1992-11-22 07:27:45', '1816185736', '374622433990594', 41756);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kyrstin', 'Maren', '2008-02-19 19:24:53', '3579550837', '374283085175131', 33404);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Keefe', 'Franzini', '2006-03-22 02:04:17', '3278379802', '374283627277650', 29804);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dynah', 'Alenshev', '1998-01-01 02:28:01', '2495490662', '374288331547728', 35097);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sissie', 'Vesty', '1981-07-07 02:57:09', '1313872601', '374622084372373', 59475);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Latashia', 'Ossipenko', '2023-11-30 05:24:21', '4652687524', '379479110183489', 40147);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ward', 'Joist', '1987-02-12 20:44:51', '8404896097', '342602822125399', 32228);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lotty', 'Stuchbery', '2012-07-02 18:21:33', '9958641011', '374288865901325', 38065);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Martguerita', 'McGeachy', '1985-09-28 04:01:19', '0717052575', '372301271833255', 33451);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Daven', 'Woodland', '2022-11-25 07:53:25', '0041327829', '372301861100545', 25604);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maryjo', 'Batey', '2020-09-28 19:40:41', '7427943236', '374622435302020', 71143);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harold', 'Stiebler', '2008-10-09 00:53:24', '2108375937', '337941493212475', 57949);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Saundra', 'Gulleford', '1996-11-15 02:54:51', '4993193734', '337941131157603', 74035);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Patricio', 'Indge', '2017-07-03 17:26:23', '7093692605', '374288000581362', 73797);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elmore', 'Matuszkiewicz', '1976-03-04 16:33:07', '0109365070', '374288602955592', 69333);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bev', 'Barwise', '2000-04-14 05:23:58', '5711102060', '374622424286903', 41849);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Heidi', 'Beale', '2020-10-11 19:56:00', '5966297525', '372301724492337', 62826);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gage', 'Doleman', '1995-12-07 15:10:11', '5554313809', '374742998484591', 66820);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Guillermo', 'Sharper', '2022-01-26 19:06:47', '3767060795', '372301967997091', 26552);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rhiamon', 'Lamplough', '1982-01-02 20:47:31', '2401308547', '374283233914258', 45225);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Paul', 'Smorfit', '1984-07-09 10:40:03', '4083296593', '374622269992300', 35232);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jeramie', 'McCoveney', '1979-02-24 00:39:36', '7126149549', '374622037219184', 44638);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marlene', 'Sherringham', '1978-10-21 20:41:02', '8409080362', '374622540888707', 49861);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Juliane', 'Pobjoy', '1998-12-08 23:28:10', '3682073043', '374622815003123', 34543);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Linell', 'Cocher', '2000-02-07 02:53:47', '3640303865', '374288629496026', 36936);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jilleen', 'Scantlebury', '2016-01-12 21:55:38', '6645613849', '374288851733880', 37221);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lorianna', 'De Roeck', '2003-09-03 07:28:24', '9513314944', '372301856825858', 61918);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Susannah', 'Jeffs', '1997-04-06 01:15:34', '6572863697', '374283395961915', 28678);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Puff', 'Lewerenz', '1975-07-22 23:05:11', '4188729481', '372301057882492', 45568);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Danyette', 'Polin', '1999-05-08 09:12:43', '7967022939', '374622207239756', 52518);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kelwin', 'Woollacott', '1976-10-14 20:04:47', '3975810440', '374283678641234', 36202);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cobby', 'Gould', '1993-01-11 20:54:21', '8627070385', '374288470096776', 62569);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marian', 'Willmott', '1995-12-03 00:03:11', '2021187799', '337941839203048', 58836);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Justina', 'Levay', '1999-10-27 08:37:40', '3746123380', '374283409200284', 56781);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delano', 'Cotman', '1979-10-07 16:28:27', '2934075893', '372301582193852', 32398);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kym', 'Storek', '2005-11-15 14:58:53', '9003580839', '374622313104910', 66256);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Weider', 'Sidery', '1981-08-28 05:21:38', '3314010702', '374283187607387', 69398);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nicoli', 'Corcut', '2022-01-01 02:17:44', '3787906312', '378795519455918', 26970);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marysa', 'Godlee', '2016-05-15 23:11:52', '4262174417', '378141836977336', 55113);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Norbert', 'Kubiczek', '1975-12-27 14:20:40', '9200137253', '374288862685814', 45416);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Barty', 'Fewell', '1979-07-04 15:04:23', '6311646447', '374622166322668', 27366);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bradan', 'Paige', '2011-07-20 03:34:21', '4929863716', '375746654341853', 57709);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Netty', 'Harrad', '2023-08-24 20:45:11', '5818793869', '372301307986853', 71387);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lammond', 'Dudbridge', '1999-08-08 19:59:43', '8618081159', '374622553757427', 66172);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rozina', 'Milward', '2016-09-25 08:45:10', '4110105064', '372301850428386', 37636);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fidelity', 'Mapledoore', '1993-03-10 08:05:36', '7158295567', '374283225782952', 52369);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jasun', 'Medlar', '1987-07-12 14:37:05', '0075509881', '372301651060495', 59400);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tobey', 'McPhelimy', '2003-12-02 00:21:56', '3782109325', '372301269501278', 55420);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Curtis', 'Readshall', '1982-03-31 07:45:20', '2850955698', '372301866035407', 50286);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chad', 'Hutcheon', '2004-03-25 19:25:24', '0734816960', '337941977582344', 58931);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elvira', 'Perkins', '1986-06-17 08:17:56', '6159492020', '374288063714009', 48977);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hector', 'Shakspeare', '1988-10-21 03:50:06', '3179048891', '379708981882625', 59070);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Judon', 'Schwant', '2019-04-05 12:54:25', '8065749313', '374622079186929', 71817);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Morey', 'Silverman', '1998-09-28 07:02:04', '7069827628', '374288943848175', 31024);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Coretta', 'Wilbraham', '2012-01-26 08:36:04', '3973656959', '374288240197458', 31432);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delcine', 'Baum', '2016-09-16 07:17:26', '2149732300', '346656065363360', 30413);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marjory', 'Vanderplas', '1992-04-22 10:50:38', '7351495157', '337941202265889', 46269);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marley', 'Mungane', '1981-05-02 17:29:56', '0607995327', '337941807241996', 28041);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brigham', 'Harker', '2016-11-01 09:56:20', '2626257222', '343036491442414', 65462);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gwenora', 'Leitche', '2015-03-16 19:48:19', '8650359620', '337941945707841', 29286);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nola', 'Hambrook', '2020-08-20 07:43:33', '4399242353', '337941245787410', 34652);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Colan', 'Meany', '1991-01-02 05:32:35', '2216070211', '372301546125909', 45829);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elinor', 'Steventon', '2006-05-26 18:39:15', '8160658974', '374283212816920', 45548);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Engracia', 'Schurig', '2016-10-29 07:45:29', '6282559774', '337941278217822', 68421);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Beulah', 'Fewless', '2007-10-24 00:48:25', '2625642793', '374622025400895', 73802);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Thibaud', 'McFetridge', '1986-10-01 04:17:41', '2731397659', '347716726788105', 52343);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lockwood', 'McAloren', '2012-03-22 09:32:48', '9041554718', '374288915546005', 46888);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alejandrina', 'Cooling', '1976-06-19 02:13:44', '0444735143', '372301336137775', 36450);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Burnard', 'Walliker', '2006-04-26 22:31:03', '3194262661', '374288252190102', 59485);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Denny', 'Fones', '1984-07-18 05:48:55', '0698490061', '374283839476462', 58848);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('King', 'Dyet', '1997-12-01 05:30:48', '3069228682', '374283846892511', 40295);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fredia', 'Brunnen', '2007-04-27 17:20:23', '6106851190', '374283703623348', 36730);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tisha', 'Bortol', '2011-03-31 10:38:33', '1191286630', '375971903356680', 39163);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ciro', 'Forker', '2020-10-22 20:55:52', '3199062431', '374622316380152', 51101);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Olenolin', 'Garcia', '1987-12-10 23:52:29', '3635457639', '374288412067471', 42180);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Niel', 'Barlie', '2003-05-26 02:02:00', '9932867845', '374622462882266', 73905);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Siouxie', 'Gudgeon', '2011-03-14 17:51:01', '9322860324', '376768364724128', 26696);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leslie', 'Le Conte', '1984-03-14 10:58:22', '7751830948', '374283882629199', 73062);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nicol', 'Peddar', '1990-07-02 12:39:20', '0282071695', '374288755299129', 71473);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kipp', 'Bourrel', '2011-03-12 23:04:45', '3748270267', '337941052467163', 71178);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jacintha', 'Merryman', '1994-03-25 22:17:58', '9883440235', '348784643741085', 72284);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Britni', 'Hardes', '1982-09-27 23:09:49', '2849021148', '337941351258875', 62931);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gianni', 'Klimochkin', '2021-07-09 10:15:40', '4810453839', '374622655812435', 29020);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jada', 'Kenyon', '1982-10-05 06:32:41', '2148201611', '374283915121453', 36013);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gabrielle', 'Buff', '1983-05-23 14:12:58', '8932200793', '372301119472522', 33823);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerrold', 'Glastonbury', '1989-06-14 18:52:37', '8949396866', '374288287154651', 40891);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deerdre', 'Blader', '2006-05-25 03:44:01', '2127153995', '374622930247910', 59377);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Natasha', 'Senter', '2000-04-30 23:34:40', '7014579665', '340576554889657', 71184);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rozanna', 'Scading', '2018-05-25 20:25:47', '4432347880', '337941161046056', 53389);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delmore', 'Gwillym', '2016-08-29 16:15:21', '6279262820', '374622857964349', 56279);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hershel', 'Crix', '2023-01-26 02:12:33', '6386467078', '374622156568817', 39171);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reggis', 'Tinmouth', '1996-06-16 00:12:28', '1535633832', '372301817307285', 46855);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zoe', 'Dominetti', '2002-07-31 02:14:40', '3985934665', '374288648818036', 60246);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Parker', 'Windross', '2009-03-21 15:30:29', '8153194852', '348954696364966', 46278);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Celle', 'Nussen', '2013-05-25 22:13:26', '8611227050', '343965824208219', 68847);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Danica', 'Lakey', '1988-01-27 11:30:24', '4124410743', '374288365906634', 26080);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Panchito', 'Ogborn', '2016-06-20 13:10:22', '1351555464', '372301370296271', 45702);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marlon', 'Rickeard', '1981-08-16 21:49:43', '3893517758', '372301922594827', 47507);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brook', 'Hubbis', '2021-02-12 19:04:14', '2099629897', '374288444981947', 70983);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Felizio', 'Gerhold', '2001-06-21 04:38:35', '7916332663', '374622944202836', 54018);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Barnie', 'Edelman', '1978-10-31 22:11:18', '4544631491', '372301892703150', 67706);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eve', 'Imos', '1990-12-06 11:25:28', '5619326578', '371124969584589', 67168);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kassia', 'Guile', '1983-06-08 00:47:05', '3792774755', '337941317647195', 65436);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rea', 'Rigate', '2013-03-13 12:09:21', '6420221390', '349224636503670', 73196);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Faith', 'Maypes', '1996-01-07 04:47:14', '6635507124', '374288557935797', 61695);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ebenezer', 'Grimolbie', '2013-10-14 15:13:35', '2274826366', '374622041609354', 31370);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Julietta', 'Baum', '2016-07-19 06:35:29', '7150017509', '372301222210686', 48797);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fianna', 'Dahl', '2000-08-27 09:31:29', '4044727198', '374283502776867', 64377);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cristina', 'Pender', '1978-10-17 19:30:41', '0362032157', '337941452258204', 59251);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arthur', 'McChesney', '1987-11-11 21:21:07', '9287065667', '337941660664714', 29060);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Travis', 'Beagley', '1987-08-25 13:23:38', '7292852815', '372301553310758', 39988);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kelwin', 'Dallimare', '1975-12-13 06:59:43', '0011686375', '337941543350986', 58578);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brigg', 'Simunek', '2009-09-19 07:48:00', '9285124917', '374283309469393', 40944);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Diandra', 'Ottawell', '1998-03-18 01:03:06', '5276330077', '374283086040045', 65103);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bartram', 'Bartolijn', '2019-01-16 14:08:36', '4864583064', '378586814349843', 54128);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Doralynne', 'Finker', '1997-01-31 23:09:48', '8449119987', '374288487564691', 51725);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alyson', 'Burnyate', '1985-08-01 22:33:10', '3099785946', '374622070139976', 40406);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tanny', 'Fortnon', '1997-01-05 05:58:31', '3553266597', '345640102260897', 53744);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Olenolin', 'Cabrara', '1988-10-15 18:20:03', '5411915872', '349671527287237', 55540);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kennie', 'Marcroft', '1987-11-19 04:22:40', '9115023125', '374288683390057', 39053);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alix', 'Szymon', '1978-08-19 10:45:51', '1367860326', '374283644967010', 55138);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kendell', 'Busst', '2006-09-23 15:57:51', '1755693702', '374622225298578', 54549);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nobie', 'McGeouch', '1998-12-16 01:56:06', '3659474126', '372604930403760', 53087);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carlen', 'Jira', '1989-05-21 23:13:11', '6331845089', '374622716455133', 54348);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Suzanne', 'Halbert', '1989-11-24 01:16:54', '0896217833', '374283012434494', 26390);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marika', 'Carrigan', '2019-07-10 03:25:06', '2939080321', '372301374293688', 71762);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Florenza', 'Huws', '2008-07-16 02:59:25', '5204847855', '372066408407188', 48412);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maure', 'Antczak', '1987-08-10 16:14:35', '1225714907', '337941352207335', 33431);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Glynn', 'Kalinovich', '2000-01-25 03:14:06', '9100676268', '347929687477275', 31823);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Amalle', 'Trundle', '1995-12-01 20:32:31', '3566496928', '374288225793719', 50970);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kitti', 'Lofty', '1975-08-05 03:55:50', '8517368681', '374283711605592', 39764);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ardisj', 'Colliar', '1997-02-14 20:22:30', '1926316940', '374081317674776', 31303);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maxie', 'Sorel', '2015-04-17 17:45:45', '4712550333', '374283994056711', 57731);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Giacinta', 'Bruckner', '1990-08-26 00:51:51', '0757839517', '346225412708337', 37968);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emilio', 'Pasmore', '2005-09-27 16:18:32', '3100284828', '372301377349123', 26224);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Augustine', 'Newstead', '1981-06-18 13:52:46', '1610863801', '347471808050087', 36338);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rodger', 'Ley', '2021-07-23 06:42:32', '3931791904', '379701221967538', 32300);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lu', 'Jump', '1977-11-07 17:08:46', '9037296750', '374288671818713', 44737);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Katharyn', 'Guidelli', '2020-02-08 00:12:38', '5334175121', '374622469722721', 39617);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nell', 'Prugel', '2012-10-31 23:09:49', '5356832400', '373427155216058', 64817);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Iris', 'Roaf', '1992-07-12 10:01:36', '0097427837', '372301794529190', 48986);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maiga', 'Steen', '2016-10-03 18:35:31', '0331524325', '374622534471056', 40009);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gerry', 'Hulk', '1999-06-23 04:33:44', '8146876633', '343226106006965', 27822);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Andie', 'Chicchelli', '2007-09-26 07:07:31', '7068487033', '374288036586682', 27757);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nina', 'Mallett', '2006-12-10 05:29:30', '7796850417', '371279092454520', 38500);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jeth', 'Karpenko', '1981-08-04 06:31:04', '8806201905', '374288656453395', 46189);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marcellina', 'Trevallion', '2000-11-19 07:33:07', '2730705449', '337941861877040', 65448);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Morrie', 'Barg', '2022-11-23 19:58:02', '7358586212', '337941150226859', 65409);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Merilee', 'Houlahan', '2004-06-02 02:56:29', '2659044163', '374622384162904', 29499);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lesley', 'McTurk', '1986-02-27 03:13:35', '0100475760', '372137909638447', 42233);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Pam', 'Weldon', '1989-02-15 13:40:44', '5654406973', '372808727653004', 64179);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jelene', 'Easton', '2005-01-26 01:57:26', '0091952301', '374288323714989', 58687);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marla', 'Allsopp', '2001-01-09 06:02:32', '5730990111', '341785887847741', 66014);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Codee', 'Kenningley', '2003-04-16 22:26:26', '9252053174', '337941716738603', 36582);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hansiain', 'Koeppke', '2013-10-19 02:46:12', '3906124479', '374622945717444', 43923);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Robbi', 'Hegel', '1979-07-26 17:58:19', '2327708281', '337941545205782', 30336);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ward', 'Wiffield', '2005-09-13 04:13:17', '0523332556', '373093554973671', 30571);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Terrance', 'Harvison', '2012-05-08 21:48:49', '8000546450', '343077134916968', 63607);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Norby', 'De Vuyst', '1987-09-23 23:47:35', '1274007593', '376182455868457', 52526);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerrold', 'Jacqueme', '1978-07-03 10:41:20', '9981677582', '337941968925817', 31829);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Celesta', 'Drissell', '1990-04-18 08:12:24', '1237126746', '374288054100028', 73104);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Even', 'Smithyman', '2001-08-17 15:38:11', '8531580374', '372301153470093', 33056);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kamila', 'Boxall', '2012-04-08 19:18:27', '1693296535', '372301690595956', 58131);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Omar', 'Keysel', '1994-08-05 04:24:28', '0781536995', '372301263767685', 72102);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Codee', 'Middler', '1988-11-28 07:01:59', '8101595899', '372301634219143', 29304);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nikola', 'Errigo', '1994-03-20 03:15:41', '3019796938', '374288916311474', 43966);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Liuka', 'Kibbel', '1991-05-08 16:14:50', '0985639318', '337941084401339', 67428);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Viviyan', 'Henzley', '1990-09-01 14:19:46', '0902427512', '372301552305437', 56332);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Giorgi', 'Ferrick', '2013-01-16 21:05:42', '5346174176', '374986198553834', 65993);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Merola', 'Howgate', '2009-05-09 01:41:40', '3086751754', '374283676737950', 27706);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lauree', 'Westell', '2004-10-01 23:59:03', '0726869627', '337941979886503', 54557);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rogerio', 'Bothbie', '1994-04-15 03:22:48', '4979332919', '372301273594343', 35386);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reinaldo', 'Catling', '2022-12-23 13:00:40', '2909328945', '374622569869315', 41701);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tamqrah', 'Pauwel', '1996-09-25 01:54:45', '3367377457', '374288015096513', 73313);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ingar', 'Van der Veldt', '2011-06-08 21:47:17', '6239301175', '370286201877831', 64977);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tom', 'Lillee', '1994-03-01 21:50:47', '3844934413', '374283228714564', 70906);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Urban', 'Fuentes', '1994-06-04 20:55:02', '1032793422', '337941956532120', 45674);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sayre', 'Rebbeck', '1997-09-14 06:24:32', '8679328847', '372301358228007', 49791);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maighdiln', 'Inskipp', '2003-12-08 11:18:15', '7651541073', '374288515134970', 28103);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kippie', 'Galey', '1977-09-26 09:53:03', '2923066464', '375542707868715', 55594);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emmerich', 'Feldmesser', '1981-01-22 16:06:52', '6172030450', '374283741446942', 41257);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Padgett', 'Peddie', '1984-01-02 19:40:48', '2079615521', '337941969637395', 28930);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Boone', 'Ternent', '1978-07-12 03:49:38', '7272823917', '340437100315442', 38593);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Quincy', 'MacMickan', '1988-05-26 02:12:37', '3197905296', '377381331623966', 65436);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Theodor', 'Ronca', '1989-08-23 16:59:00', '7850293193', '374283167969575', 39916);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Granthem', 'Scargle', '2004-06-30 13:29:27', '7367285505', '374622096348171', 61469);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Udell', 'Enders', '1977-11-30 04:21:38', '1155265513', '374622639898542', 68188);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hunt', 'De Biasi', '2001-09-25 03:16:57', '3154861017', '372301538129125', 29178);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mirilla', 'Ensten', '2015-04-04 01:57:18', '6509664623', '374288332631935', 71494);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alaster', 'Dincke', '1977-11-23 12:52:54', '5078964460', '372301732281953', 55293);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Shawna', 'Spratley', '1982-03-23 15:45:01', '3099816604', '374283564875417', 67272);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ripley', 'Zotto', '1994-08-06 18:53:01', '7109540561', '372301985831579', 54057);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rutger', 'Bibbie', '1975-08-21 16:12:02', '7867688293', '345075533542698', 70877);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eliot', 'Fowlestone', '2004-06-10 13:17:47', '3538784671', '374288302249684', 53273);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ashby', 'Thorlby', '2007-05-01 12:20:43', '3376267553', '374283946385200', 50734);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eva', 'Saunt', '1993-07-08 09:25:19', '4684155137', '341795051031964', 57919);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Antin', 'Murtell', '1982-11-27 23:06:21', '1391987918', '374692587206121', 66696);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tanhya', 'McKeachie', '2021-12-17 00:14:25', '4386917225', '374283172276214', 47094);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Melody', 'Mazillius', '1985-11-24 19:12:41', '1139779273', '373783344684998', 74001);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abelard', 'Hardistry', '1984-06-12 15:35:06', '5057123858', '374283758538961', 39587);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Yuma', 'Huddleston', '2016-01-31 03:02:04', '6118005044', '372301357528886', 57907);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wayland', 'Cardoo', '1997-03-25 18:08:53', '7586393745', '374288295367469', 54716);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abagail', 'Grishakin', '2021-12-09 04:55:28', '2351070992', '370736697531052', 55350);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lois', 'Wadeling', '2015-04-26 12:36:40', '8621348071', '374288137707211', 43841);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fredrika', 'Dilks', '1983-08-16 11:19:11', '6635148965', '374283000272450', 42584);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Larina', 'Winwright', '2009-10-30 14:20:02', '4091089038', '374288574374111', 56773);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nadine', 'Brookesbie', '1992-07-12 22:47:30', '3745614259', '341848502366156', 31291);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lydon', 'Auston', '1977-09-27 18:52:47', '3636646761', '374288199569707', 74091);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Analiese', 'Croome', '2019-01-06 03:24:35', '3578897760', '376671955780006', 48697);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karyl', 'Beacham', '2019-08-29 14:47:05', '1603487492', '374288178411848', 60818);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reginald', 'Rodders', '1979-04-02 14:56:19', '8312803475', '372301524843861', 73635);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Walton', 'Coultous', '1987-01-03 03:13:16', '4573550550', '337941866838856', 38383);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fidela', 'Bess', '1998-05-04 00:38:55', '0045462216', '374622276164737', 39555);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Melantha', 'Nelsen', '2010-12-10 03:42:05', '2175450597', '379149428248668', 27231);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hamlin', 'Parren', '2009-09-16 14:02:22', '9057095475', '372301572468496', 35708);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Prentiss', 'McCorley', '2012-09-17 02:17:00', '3478594286', '337941772961883', 42049);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dru', 'Yabsley', '2024-02-01 21:31:00', '5281187643', '379395616220460', 71396);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alina', 'Branigan', '2007-10-10 21:35:15', '3468374410', '372301796877423', 37717);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nester', 'Pallesen', '1982-07-02 12:42:46', '9060364376', '374622106446866', 62730);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Paige', 'Ossulton', '1984-11-27 17:33:15', '4188352515', '337941804087582', 27237);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Candi', 'Waltering', '2016-08-30 11:10:48', '4008176411', '372301586995542', 31248);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Archy', 'Creasy', '2022-11-07 15:12:25', '2365465323', '374288470679472', 41072);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bruno', 'Muccino', '1987-04-13 05:03:05', '2734746638', '374283495085011', 64300);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Georgiana', 'Iveson', '1996-04-17 03:45:48', '1635264081', '374622376100060', 31126);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ellissa', 'Calcott', '2021-05-14 11:03:14', '0349559627', '373262946701724', 42977);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dion', 'Cross', '2010-02-05 05:43:29', '7237574701', '372301211727674', 38768);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Avictor', 'Marian', '1979-12-11 04:49:37', '1532845553', '374288090910190', 52827);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alyda', 'Wabe', '2000-08-29 12:21:59', '8283849123', '374283289586901', 50543);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jorge', 'Cuthill', '1980-10-31 07:35:50', '3994853168', '344640231917970', 43728);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hyman', 'Pettman', '1981-07-17 05:35:06', '5483770005', '344452156515171', 30537);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deonne', 'Cluff', '1995-08-22 09:58:37', '7923903972', '372301468225380', 56217);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Doe', 'Lory', '1997-04-20 12:11:34', '9162659251', '343540244067436', 44785);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karissa', 'Eastwood', '2006-04-27 02:55:49', '7985817727', '374622552383100', 33303);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aldous', 'Grinham', '1980-06-04 07:32:16', '8867560239', '372301178884054', 69228);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ryan', 'Coady', '2013-10-03 14:11:56', '1614170312', '374283260100094', 47986);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abby', 'Warcop', '1982-11-11 23:02:04', '5434617827', '348906544793754', 45347);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Earvin', 'Litchmore', '1987-01-15 07:03:10', '8195848990', '374288223491357', 55639);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ezra', 'Foley', '2000-10-10 20:36:30', '2010180097', '374283433617081', 51688);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lauretta', 'Blewis', '2006-11-14 09:47:14', '4964435830', '374283957175300', 34844);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kris', 'Southwick', '1982-04-05 04:22:39', '4486992067', '374613061217962', 69729);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annabela', 'Ramsay', '2021-10-29 16:12:02', '3271484457', '374622414052059', 46664);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Giraud', 'Fishbourn', '1985-03-17 01:00:22', '4860697030', '341973548902150', 72283);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sutherland', 'Lindroos', '1986-10-01 12:16:06', '4314534923', '337941468806491', 32311);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Michal', 'Cauldfield', '2008-08-27 17:07:06', '8932410747', '378145579512218', 57344);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gunilla', 'O'' Finan', '2002-10-02 20:54:52', '5156370071', '379992563279836', 69256);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kent', 'Wycherley', '2006-06-03 19:14:48', '2979962929', '373011786650628', 71812);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tiebout', 'Revell', '1995-06-04 15:04:49', '6336362922', '337941011636247', 64505);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ryun', 'Mepham', '1982-03-19 20:16:42', '2321862688', '337941823929509', 72852);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Teador', 'Beddis', '1980-07-08 18:24:18', '5620824829', '340616115500110', 25315);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annie', 'Thornton-D', '1995-11-22 10:46:12', '3092184858', '337941053672811', 26464);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Winfred', 'Clark', '1996-03-13 00:12:31', '1123239665', '374622269905575', 28079);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aurthur', 'Tuxwell', '2000-04-23 03:32:45', '4817741538', '340570859152481', 44436);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Clevey', 'Lias', '2004-02-23 20:18:17', '6888876969', '340137856836530', 25937);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Melissa', 'Greenhalf', '2006-02-18 13:45:36', '2994574268', '343424171728437', 47357);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lillis', 'Franciotti', '1978-09-01 17:04:54', '0588763829', '374288416983392', 43701);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harmony', 'Chelnam', '2019-04-03 05:46:27', '1974251268', '337941615992731', 33487);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ferdie', 'Gaine of England', '2004-03-20 04:10:50', '8855886118', '374622735032699', 57786);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ruggiero', 'Lourens', '2006-12-14 05:30:31', '5857021286', '374622182054212', 64563);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Corabelle', 'Iacobo', '2003-01-18 01:39:46', '9194671990', '374288782893662', 52224);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Betteann', 'Bradnum', '1988-04-24 14:42:20', '1608710084', '345085616597865', 29460);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Patti', 'Segge', '1980-11-09 16:02:53', '9168730527', '372301745598088', 33950);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cherye', 'McDell', '1979-08-30 04:33:04', '9857382401', '372301814412120', 26511);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cassy', 'Tripean', '1991-05-13 12:05:35', '1220232505', '337941096794754', 64545);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gwenni', 'Ferraresi', '1979-06-26 22:49:22', '3123106489', '337941824879232', 68749);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Anica', 'Trittam', '1978-04-27 07:30:35', '3931619192', '374283833838824', 62208);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darb', 'Tonge', '1984-01-11 13:10:53', '8245667382', '374622045203386', 74259);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Vincents', 'Puddephatt', '1989-07-22 16:10:23', '8589555321', '349998134440390', 28616);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jeri', 'Saye', '1985-09-04 22:21:27', '5617159046', '341628877565933', 39103);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Otis', 'Milton', '1993-07-01 22:11:27', '8122646387', '374622250753687', 61409);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gnni', 'Silverthorn', '2014-07-27 12:31:58', '1292777486', '337941283445343', 43525);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Daisi', 'Dabnor', '2005-02-15 15:25:27', '1676075305', '374288066090662', 57626);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Loren', 'Drewet', '1988-07-05 00:05:50', '8600980429', '374622779037844', 53807);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Godwin', 'Parmer', '1978-06-29 16:40:26', '6161511355', '379104691207099', 71942);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hymie', 'Taffrey', '1984-07-23 01:40:21', '7999364525', '374283979700663', 62087);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leesa', 'Krochmann', '1998-11-20 21:40:02', '1471855880', '337941302173637', 51836);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mitzi', 'Kenworthy', '1977-02-21 00:52:07', '1248943457', '374622311482615', 61703);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roman', 'Siggs', '2017-02-08 00:56:49', '9396204129', '374288495285826', 63245);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerome', 'Keates', '1996-12-03 13:05:18', '7969542700', '372301913476521', 68842);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Faydra', 'Dulen', '1979-02-24 03:01:02', '5048876202', '374283819035916', 66619);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Vi', 'Baty', '2010-06-01 10:19:52', '5227639582', '337941550069859', 57016);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cornall', 'Klement', '2022-06-09 05:11:07', '5403237763', '337941046535802', 68421);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brianna', 'Parham', '1996-10-17 11:01:32', '1514219603', '374622377491781', 43469);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexandr', 'Vanini', '1979-07-24 13:53:18', '4305425432', '372301827102619', 71276);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tana', 'Chadwin', '2007-11-07 02:35:11', '9728992823', '374622106650228', 60206);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Skell', 'Mather', '1993-06-10 20:44:50', '4462519213', '374622706252425', 50016);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Manuel', 'Cordell', '2004-12-03 15:53:02', '0367382636', '374283364230623', 64030);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gertie', 'Godbehere', '1984-11-09 02:26:04', '4030089186', '346385104141542', 49015);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bondie', 'Cranmore', '2020-02-26 00:14:11', '7761789150', '376325203486771', 38405);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Archie', 'Neljes', '2002-11-09 21:23:38', '4762005142', '374283811791961', 70034);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lindsay', 'Gameson', '1975-09-11 13:35:17', '4680433868', '374288649501409', 65773);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maurita', 'McDaid', '1994-08-12 07:43:33', '5261158486', '374622439772103', 31540);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lawton', 'Santorini', '2019-05-23 23:37:13', '0505631105', '374288565913752', 69540);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leah', 'Fillimore', '2012-09-22 12:45:52', '1666566705', '374288469864291', 70786);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nanni', 'Clutheram', '2001-11-22 06:18:46', '5502430006', '374288848299201', 52497);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lacey', 'Cuschieri', '1977-09-27 17:32:13', '2151425029', '337941398063650', 42244);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Conway', 'De Cristofalo', '1993-12-16 22:06:38', '3485903353', '375517218989796', 30997);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Effie', 'Sutworth', '2013-05-01 07:17:22', '8242117535', '377809643870032', 28072);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dietrich', 'Line', '2014-06-08 11:42:47', '3723909833', '337941815405518', 34742);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Milty', 'Curdell', '1998-05-20 12:20:41', '1029000182', '345406362427588', 69086);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delila', 'Champkins', '1998-10-15 08:22:27', '0441911447', '374283906829619', 30113);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Frederich', 'Muslim', '2003-10-27 07:43:22', '8485324692', '343548337800035', 48724);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brina', 'Stollmeier', '2006-10-12 20:44:44', '2134557672', '374283865514756', 46445);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kaleena', 'Garman', '1991-02-04 23:13:21', '9512040220', '374288606503190', 70325);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Loria', 'Sweetlove', '1984-03-15 08:35:11', '5025530520', '374589126405703', 51940);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Teresina', 'Schutter', '1992-09-11 07:55:28', '8664891044', '337941147126865', 67941);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Legra', 'Incogna', '1988-05-16 22:40:18', '2091376388', '372301510605191', 73423);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mariya', 'Perryman', '2004-11-12 11:57:19', '0401321576', '374288717592173', 60425);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Myrilla', 'Forsyde', '2010-02-28 13:45:24', '4942616816', '379281030797285', 55240);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leonid', 'Inworth', '1997-10-19 05:49:30', '4448416844', '374288112086250', 48535);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Annabelle', 'Cable', '1995-12-05 01:12:41', '9835939454', '374622077667938', 38605);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Clarie', 'Ballin', '1982-06-26 02:33:39', '5595601574', '372496264331927', 66089);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hoyt', 'Boyfield', '1996-01-27 17:20:00', '5798136337', '374622779431294', 55274);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hendrik', 'Linacre', '2003-11-30 11:50:09', '4461307751', '372134095593411', 51552);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jammal', 'Rosiello', '1990-01-18 19:36:21', '8652347735', '372301413539943', 37495);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Casie', 'Polak', '2006-08-21 09:07:59', '9599602803', '374622967976902', 43990);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Johannes', 'Truggian', '1981-07-31 13:04:23', '0342097520', '374288637193540', 49403);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gilbertina', 'Ivanchov', '2014-07-15 14:34:08', '2237899800', '337941267512035', 31337);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Korie', 'Milius', '2010-01-03 22:35:21', '4852278083', '346441351565543', 71808);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Siffre', 'Kemish', '1977-09-29 22:01:55', '7019446965', '343653323886152', 62891);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Urbain', 'Marron', '1994-03-21 17:58:50', '7768624092', '375415505486495', 43961);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Germana', 'Burry', '2019-11-14 18:35:46', '3021322689', '374622331890201', 73759);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Paulie', 'Biskup', '2012-12-21 14:40:36', '5015152841', '374288476570063', 32370);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dell', 'Swadling', '2011-08-17 08:16:06', '5881539672', '372873502769029', 48444);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Uriah', 'Marklew', '1983-12-02 03:53:36', '9988549512', '337941981676553', 43510);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emmalynne', 'Carbry', '2014-04-09 04:29:32', '7874187288', '374288256022681', 47921);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zahara', 'Bernetti', '2009-03-24 21:10:47', '0642531684', '379465666639156', 63395);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lori', 'Jelliman', '2017-08-11 08:15:15', '1804170623', '347085782635299', 39998);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Donn', 'Gebbie', '1980-11-05 21:06:58', '0162596081', '374622953080461', 30072);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chic', 'Dakhno', '1986-08-19 20:36:09', '5166855000', '372301681650844', 44558);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sylvester', 'Blankhorn', '2002-01-24 10:20:57', '0783807333', '372301579078686', 29766);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deborah', 'Merrill', '1975-12-23 18:30:54', '9776325173', '345007595068825', 64284);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Teirtza', 'Regitz', '2001-12-25 02:17:53', '7204360478', '374622047489967', 69180);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Janetta', 'Hobell', '1975-11-01 10:22:42', '1632194929', '374622606243417', 59978);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nollie', 'Beesley', '1986-06-12 16:22:22', '7235610506', '374718206113768', 66413);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Andi', 'Dybbe', '2004-01-17 20:12:50', '0093956983', '374622223761296', 70149);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Courtnay', 'Fuzzard', '1984-07-16 17:38:32', '4617795472', '374288413731745', 51969);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lucien', 'Fogt', '1998-07-09 20:40:19', '1811666299', '372301415161225', 70123);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ottilie', 'Enterle', '2004-08-09 13:53:00', '6353385307', '348742068643038', 32037);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Margie', 'Lidell', '1975-10-20 12:15:11', '7456289832', '337941090045393', 64371);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harcourt', 'Dolden', '2013-10-08 10:57:31', '7701822801', '374288478414302', 35799);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lura', 'Ferencz', '2023-06-12 19:18:01', '8747964626', '372301167027939', 61665);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sharyl', 'Steele', '1975-07-02 20:00:21', '3235684581', '374708669063840', 30333);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Corbett', 'Cometson', '2018-09-16 14:57:36', '2657007988', '340798695004125', 56979);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kiel', 'Guilloneau', '1991-08-26 17:29:01', '6081887693', '337941468665673', 29501);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nanni', 'Smeal', '2015-10-05 09:21:32', '5273592216', '372301855332682', 31904);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Felita', 'Govan', '2013-01-09 07:41:02', '2607584787', '372301828524860', 62949);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arabele', 'Pomfrey', '2019-11-15 03:37:16', '8757406669', '374288553292326', 68329);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Claire', 'Allebone', '2020-07-11 17:24:17', '8570672187', '372301693820971', 27686);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Franklin', 'Fetherstan', '1986-11-12 04:39:44', '9123906081', '340626756548492', 60484);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karina', 'Huske', '1979-04-17 11:17:30', '3301501931', '337941247762981', 66472);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tristan', 'Shackesby', '1989-02-26 09:18:34', '1317875230', '341523108822197', 37653);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Regan', 'Hoston', '1990-12-31 15:26:22', '9686234225', '337941417831525', 74997);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Daffie', 'Iglesias', '2022-08-08 12:30:24', '7104435174', '337941763892170', 55060);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Edd', 'Shelp', '1979-09-02 14:35:56', '0982853459', '337941717622921', 41589);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Yanaton', 'Norridge', '2016-06-25 10:24:02', '2716245088', '372301026977886', 67671);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Othilia', 'Swaffield', '2024-03-09 10:29:00', '9437349118', '374283280555913', 52569);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chev', 'Mitkcov', '1982-02-11 19:52:13', '9247159105', '374288470753897', 70775);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Barbara-anne', 'Durrand', '2004-10-06 04:47:55', '2929419083', '341038991310945', 38699);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Adelind', 'Niblett', '1995-11-15 13:35:14', '6391273464', '374288734635740', 43217);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kriste', 'Rastall', '2011-11-21 00:58:39', '5444483696', '348154959511870', 60075);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Freddy', 'Farnan', '2004-08-14 18:26:25', '5073171705', '348414322409933', 28704);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alejoa', 'Christer', '1987-02-06 16:53:42', '7539546409', '376626428376071', 40660);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Calv', 'Jeves', '2014-01-18 19:58:34', '9583707082', '344771689418698', 49244);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lindi', 'Loche', '1982-08-03 15:34:40', '9493626687', '372301252753977', 46615);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Damian', 'Enston', '1993-12-02 15:21:23', '2493548051', '372301968696452', 25787);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Missie', 'Tomsu', '2007-08-01 06:58:41', '2248177135', '372301159172727', 63549);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Skell', 'Beaby', '2011-06-10 05:11:27', '1977752942', '337941084989762', 71616);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karna', 'Punton', '1996-07-08 21:48:41', '7038920596', '349016428481903', 56372);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ingunna', 'Gerault', '1978-03-12 23:10:14', '1030343241', '373808568923184', 41646);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deni', 'Robertucci', '1986-07-23 10:25:08', '2950351875', '337941928409092', 48148);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Denys', 'Dall', '1998-02-13 17:59:14', '1375938061', '342616323309609', 38393);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lorene', 'Burgiss', '2023-02-05 12:38:05', '4410435639', '374288307663400', 50834);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sam', 'Battie', '2017-02-27 11:04:31', '3176018592', '374283181455965', 31076);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Asa', 'Hailes', '1985-09-26 19:58:58', '8056041370', '374622121087851', 29527);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cati', 'Kaemena', '1977-03-08 09:20:58', '5529059112', '337941763340568', 55422);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Alexis', 'Drable', '2002-09-16 20:05:15', '6034985757', '371226540987874', 51918);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Waylon', 'Ferris', '2017-11-17 18:29:06', '2012540260', '374288146722706', 65650);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lucina', 'Bowler', '1993-05-09 15:40:06', '7874753666', '345585909809372', 39910);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Corilla', 'Nurse', '2014-08-15 13:49:52', '6344696400', '374622802069640', 26229);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bradan', 'Carlin', '1985-11-18 07:39:13', '7192645303', '374622195340954', 47015);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emanuele', 'Skae', '1988-03-08 11:42:42', '0424911760', '373187879447971', 42615);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roze', 'Cutmore', '1977-05-23 14:12:36', '2255716348', '374288149664350', 68437);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Irwin', 'Story', '1999-01-22 08:28:42', '7529072692', '374288188901697', 43887);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lyndel', 'Larrad', '2022-02-07 23:52:18', '3625975165', '374622211662969', 55805);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Pascal', 'Rea', '1978-05-25 18:11:26', '7775535121', '342955280142219', 33935);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Estrella', 'Garfath', '2012-05-01 20:11:16', '6315702872', '346859566739076', 63493);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erica', 'McAllister', '1995-06-01 13:51:45', '0581938380', '343907094582337', 42168);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mozes', 'McMechan', '2010-11-20 17:39:05', '6956796279', '374288638211721', 48273);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emory', 'Bennike', '2001-10-15 08:58:18', '0604458142', '337941654907384', 48404);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Betti', 'Gerald', '1999-04-18 04:45:22', '9128385551', '372301334230911', 28607);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Audy', 'Mackinder', '2021-02-06 22:20:46', '0493699120', '374622099877267', 72013);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mead', 'Klima', '1997-12-05 13:17:49', '0732499658', '374283758272389', 55562);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Pincus', 'Stabbins', '2010-05-11 02:20:29', '5983412205', '372816832190879', 36951);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lorain', 'Royson', '1978-07-13 20:12:01', '3632821267', '374283222921546', 67083);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garreth', 'McGreal', '1981-12-22 18:23:02', '3162182484', '374288098052565', 71367);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cecelia', 'Timmons', '1991-01-18 08:40:06', '1477345485', '372301631266410', 71169);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Enoch', 'Jerome', '2019-10-25 05:28:04', '1773509683', '377953716317107', 38940);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Raynard', 'Petrelli', '2012-08-16 05:10:37', '4829449381', '374622899175326', 37674);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Pattin', 'Brompton', '2013-07-31 02:38:18', '7746044042', '374622980472160', 59642);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lucretia', 'Pennini', '2018-03-02 13:10:25', '4274126447', '372301743098297', 51443);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gerta', 'Eccles', '1981-02-09 14:57:42', '6982401227', '347743468400277', 34449);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harriot', 'Jeandet', '2004-05-02 18:03:06', '4809643808', '374622623474276', 64989);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harmonie', 'Bilam', '2022-06-15 20:16:40', '3940212237', '374283316513340', 43944);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sydney', 'Pencott', '1991-03-12 18:28:14', '6947827418', '374622342741583', 72691);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Manuel', 'Kynan', '2006-06-19 16:18:05', '1176502948', '374622233434710', 48569);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tracey', 'Abramin', '1988-04-18 11:03:14', '6741145710', '337941293135132', 63632);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carmelle', 'Brosoli', '1990-10-13 17:42:45', '6714403127', '372301362903033', 28975);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Estella', 'Crosdill', '2004-02-27 05:20:21', '2942417404', '372301633832623', 33518);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jule', 'Ivanilov', '2018-09-01 22:32:13', '7925609079', '374283122361397', 59535);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aksel', 'Cornwall', '1981-08-23 09:19:28', '1502793067', '337941030636806', 59846);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Saidee', 'Flew', '1980-03-28 05:45:02', '2577574312', '372301647328774', 39320);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Letizia', 'McFall', '1984-11-29 21:32:45', '6097515499', '374283960180966', 70111);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gregoire', 'Ghidini', '2014-11-15 21:53:53', '5622729068', '337941968263284', 50143);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cornelle', 'O''Gormally', '2002-03-17 09:18:37', '5184453229', '374622287657364', 41733);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ruthe', 'Yarnall', '2012-09-10 01:12:01', '4945218005', '372301689513010', 74359);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zack', 'Mannie', '1992-12-08 21:40:47', '7436196960', '374288871706395', 40117);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Priscella', 'Hast', '1983-05-15 06:07:52', '0508355680', '345223422139065', 52962);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Madison', 'Ogus', '2020-01-30 15:59:36', '4545329004', '374622755788071', 62566);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jacques', 'Jencken', '2017-05-17 04:01:53', '5958208748', '372301511430110', 25591);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Izaak', 'Lunk', '2006-02-22 10:09:33', '0136778178', '337941319405378', 65074);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Oliy', 'Nulty', '2010-10-13 05:03:17', '3090778998', '345737816342761', 28431);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eimile', 'Lehrmann', '1996-04-13 18:24:51', '2650129743', '372301903599647', 65395);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ramonda', 'Gorger', '1978-02-19 01:36:51', '5455021486', '337941725298656', 37178);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Angie', 'Paule', '2008-06-16 15:59:57', '2142181635', '376704014157039', 48521);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Debora', 'Waycott', '2006-08-16 07:35:10', '6931496735', '379218288174965', 65481);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sada', 'Summerson', '1976-08-10 20:22:46', '9055101613', '374283225817741', 36464);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ilysa', 'Derdes', '2023-12-19 06:25:19', '2425004866', '371162940353757', 34732);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dyane', 'Maffulli', '2007-12-19 07:55:48', '7743654060', '374288292295101', 50010);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Isa', 'Tures', '1990-12-13 06:47:17', '2901227457', '342899190170573', 55966);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hector', 'Rogger', '1975-11-22 13:34:12', '6149490165', '372301471807489', 26181);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carleen', 'Stammers', '1998-06-22 12:26:14', '7844120320', '374288701816513', 29594);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Giovanni', 'Aujean', '1996-01-03 20:36:21', '9400192061', '337941567749998', 45214);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Denni', 'Roberts', '1997-05-28 00:06:18', '8126700726', '374283463966143', 64864);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Binny', 'Vassay', '2010-03-29 15:55:00', '7445443932', '344357240133180', 65315);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Llewellyn', 'Shuard', '2024-03-18 15:50:19', '2081192365', '374288340051886', 71743);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Enid', 'Brownett', '1993-10-10 17:49:24', '0640712088', '344027823064561', 31511);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gussy', 'Vergine', '2007-05-17 05:11:52', '6113826945', '343861513574856', 69007);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rhody', 'Harte', '2002-04-24 22:38:31', '0561319898', '374288331959733', 61307);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Deanne', 'Coombes', '1978-01-11 08:45:40', '8689927050', '374283876473562', 70938);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lazarus', 'Lisciandri', '1988-10-04 05:57:23', '3542777560', '374622802894542', 55375);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hart', 'Glabach', '2020-04-20 10:24:26', '1703379497', '374622566655535', 29206);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Edgardo', 'Demer', '2023-04-10 08:59:49', '9459185711', '344854942919429', 27465);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Durante', 'Patience', '2005-06-25 04:38:26', '2411461917', '374622493587314', 44692);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Conrado', 'Bather', '1999-12-20 04:03:11', '8766453844', '374288290155141', 58965);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Essie', 'Kitchinham', '2022-04-22 02:25:11', '0701282908', '349712275036929', 64833);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Christiano', 'Tremathick', '1999-06-04 13:52:54', '3684556823', '337941493190887', 26982);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Matt', 'Poge', '2013-01-12 19:51:28', '9246530012', '374622981301467', 55707);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Son', 'Mettricke', '2021-11-10 04:36:16', '8951044645', '370739896210684', 47174);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cecilla', 'Tapin', '1989-11-02 23:45:09', '0040129020', '372301244678506', 60611);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kaitlynn', 'Fardell', '1991-11-29 20:53:39', '7286393375', '376175472552872', 37464);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Penni', 'Vader', '2005-07-06 12:30:09', '0615158366', '374288660062760', 48554);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gusella', 'Downing', '2001-07-07 00:21:46', '8917361145', '376836400242650', 30952);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arabelle', 'Earles', '2014-04-30 12:34:50', '2359640658', '374622014970882', 34130);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zackariah', 'Mushet', '1979-12-25 23:28:01', '7884247194', '374622730328357', 58296);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Allyn', 'Ensten', '1978-11-26 19:09:24', '8998629518', '337941381699098', 60881);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lorene', 'Brittin', '2016-05-30 09:53:05', '2918028002', '337941717576853', 61798);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abey', 'Enderwick', '1988-09-29 14:58:59', '7587793062', '374622102912473', 62529);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Robbi', 'Clandillon', '2010-09-01 02:30:00', '1880270277', '374622576128168', 70764);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Madel', 'O''Grady', '1989-06-30 15:03:16', '7585499736', '337941917148305', 51830);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Heindrick', 'Labrone', '2002-08-04 17:26:40', '7921818781', '343643799704062', 48825);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cinderella', 'Drohane', '2005-01-27 20:05:37', '7252825760', '374622860020543', 51815);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Adolf', 'Le Galle', '1988-11-16 04:43:40', '1781101256', '374288003254918', 26942);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Corbet', 'Yankov', '2013-07-16 10:34:56', '7328249692', '344165045220122', 31389);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Linet', 'Franchyonok', '1992-02-25 13:36:19', '3065655519', '337941290342830', 36948);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nonna', 'Rosoman', '2010-12-27 00:06:42', '1098791401', '374622040889353', 40709);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Erie', 'Dawltrey', '1989-09-07 15:01:52', '4680331607', '374288116483032', 59726);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ginni', 'Dufour', '1993-02-18 02:41:43', '5384766778', '374288336744478', 67636);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kiah', 'Harty', '1995-11-30 22:19:18', '9123899077', '374283173774084', 65664);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arny', 'Emig', '2015-08-15 23:03:14', '5727008298', '374730760948174', 69346);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Stevana', 'Bernhard', '1977-02-26 02:28:50', '3365220356', '337941921824701', 51827);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Perry', 'Idell', '2023-08-19 00:30:54', '5943977430', '340676059753851', 32051);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ogden', 'Weddell', '2023-11-04 11:34:07', '9104406826', '345822939533312', 72128);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aimil', 'Pole', '1999-03-01 13:05:39', '4648942353', '372301996520773', 28484);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dana', 'Loney', '1996-09-02 03:48:58', '2580669396', '337941058250795', 48176);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sheila-kathryn', 'Tookill', '2013-04-25 06:11:29', '5206906239', '337941848734165', 50097);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gwyn', 'Corr', '1990-05-02 01:04:55', '5513374331', '372301870570217', 45092);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Valentin', 'Houseley', '1988-05-01 03:51:27', '0356841960', '374288246686660', 74655);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Umeko', 'Davydychev', '2009-01-13 22:09:27', '6569165267', '374283750915019', 40668);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nollie', 'Rawcliffe', '2019-06-18 23:06:37', '2167454627', '337941479779364', 71235);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wally', 'Caulcutt', '1993-11-12 02:35:16', '3613830310', '372301889565786', 73548);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elihu', 'Dienes', '2006-12-03 17:04:29', '0261392905', '372301317046474', 38032);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eddi', 'Heisham', '1990-08-17 01:41:23', '2055605496', '343724726049050', 53294);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Galvin', 'Ledward', '1981-11-14 09:24:22', '0214858847', '337941641271100', 46987);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marina', 'Steeples', '1976-10-02 05:02:09', '3210012164', '342496891346816', 48020);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Pandora', 'Hawkswood', '2013-03-18 22:47:55', '7601769879', '374288672114302', 74642);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ilaire', 'Strutton', '1983-07-09 04:51:32', '6015897716', '374622741675762', 43603);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jori', 'Podmore', '2013-01-04 01:22:14', '4209017205', '379930941427719', 49208);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Anatol', 'Liddy', '2011-06-28 18:33:29', '8704444086', '378323665935508', 35215);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maible', 'Acock', '2004-11-08 03:44:37', '8932391955', '337941999212110', 65869);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Freeland', 'Fetters', '1998-10-25 06:51:16', '6589804990', '347066208631385', 53216);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Harrison', 'Frampton', '1978-12-16 04:19:45', '6611842012', '376221706193503', 61376);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ulysses', 'Primmer', '1998-10-23 04:52:20', '5195044287', '371985649285528', 25409);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Frasquito', 'Hayball', '2021-05-26 14:08:52', '3127239785', '374283270158405', 72198);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Raffarty', 'Postin', '2014-03-17 19:21:57', '6839777561', '337941656673331', 40903);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leontyne', 'Dorrins', '1992-02-26 18:24:07', '2932366882', '376840913979816', 41576);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tiffanie', 'Whitney', '1980-08-01 04:03:17', '8207294272', '342132665419428', 52904);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reagen', 'Kalisz', '1996-06-07 15:46:17', '7541669989', '374283618249478', 25062);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ardenia', 'Millott', '2022-09-02 14:42:46', '0326492259', '374288773112445', 53121);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Orren', 'Debow', '2018-07-14 06:39:23', '0047747692', '342904119673630', 26031);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Krystal', 'Shitliffe', '2020-05-04 03:06:57', '2713277167', '374622654123651', 28231);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rosanna', 'Sueter', '1997-04-10 00:30:55', '9296563763', '374622008852559', 47413);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dix', 'Norcott', '1978-08-09 12:08:37', '3229625196', '342868331188174', 37753);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jemmie', 'Gingedale', '2000-10-25 09:29:27', '2727761589', '337941583612303', 44356);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roanne', 'Fears', '1985-08-01 16:22:34', '0081716257', '374288072107609', 27349);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Katerine', 'Ladbury', '2005-07-08 08:14:10', '5283030563', '337941289389313', 25807);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Maje', 'Espinay', '2015-09-12 09:46:12', '1888693983', '372301170635280', 51916);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Vanny', 'Ambrosi', '2016-06-29 09:02:06', '6582916866', '372301702895725', 26775);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Robbi', 'Munsey', '1975-07-19 09:09:51', '8324257977', '374288235711545', 37783);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nikolaus', 'Collete', '2003-10-12 17:22:27', '9065048235', '374288118745115', 40649);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eliot', 'Darque', '2006-03-03 04:36:24', '5042771514', '341411887681267', 52707);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Neill', 'Kirkness', '1977-12-07 06:14:59', '4000434667', '374283018711358', 46413);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lacy', 'Witheford', '2017-04-14 13:32:35', '0458226734', '374622184081478', 30596);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Joni', 'Britner', '1979-03-06 22:34:46', '4931592112', '377556781664046', 31143);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fred', 'Dubock', '2009-10-13 00:28:39', '1203289049', '372301546751571', 47718);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rosabella', 'Crutcher', '2019-05-16 12:24:27', '3615577094', '372301378998613', 69645);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sibylle', 'Collman', '2021-08-26 21:21:49', '0757870619', '374288387199572', 36942);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Stephanus', 'Yushachkov', '1986-02-26 16:44:11', '4230697988', '374115409311929', 33869);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emogene', 'Algeo', '2006-01-13 23:19:34', '2107347085', '349439280246034', 69573);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karee', 'Comellini', '1976-01-14 16:37:38', '4097016385', '374288188558612', 30230);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Abner', 'Jeskins', '2014-09-17 05:35:16', '3831595526', '374288924179921', 46135);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Delano', 'Byas', '1981-01-02 20:40:45', '7378661503', '375489248120786', 44394);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Odell', 'Kahane', '2008-10-01 00:44:43', '1669302555', '374288302323810', 35279);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dick', 'Scading', '1990-06-17 15:51:52', '5222409821', '374283763192911', 73671);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marigold', 'Whymark', '1975-09-10 04:31:32', '1145453589', '349613012251393', 44498);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Sim', 'Hulme', '1988-03-13 09:40:16', '8593720307', '372301905641322', 43412);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Phil', 'Perris', '2017-06-07 01:25:56', '9706464514', '372301123743678', 39297);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Celia', 'Gimeno', '2009-02-07 21:58:47', '6921578879', '370893200306892', 39595);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tiphani', 'Blesing', '2013-08-10 23:37:25', '4961859117', '374288304777153', 30041);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brande', 'Gamell', '2000-11-04 00:33:21', '1222976803', '372301927116824', 67520);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Neron', 'Burrel', '1985-12-18 13:33:23', '7734606652', '343374155432235', 27885);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Armando', 'Node', '2023-05-22 02:35:03', '4978419956', '370041537143675', 69347);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Edmund', 'Hoggan', '1999-08-10 17:58:31', '6945997405', '337941895577137', 27274);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hortensia', 'Ivashin', '2021-04-21 10:20:36', '3428888243', '374288723929500', 31373);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aylmar', 'Edmands', '1990-03-01 14:31:51', '5761269791', '347063709494470', 54656);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Flin', 'McKerrow', '2011-01-08 16:37:07', '1365001245', '337941464809887', 45909);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Oliy', 'Gidney', '1997-08-17 05:19:16', '5466369314', '337941090740191', 72129);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Allyn', 'Yakovich', '1984-07-05 00:56:35', '7414152979', '374288579744557', 46111);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jarrod', 'Gaynsford', '2007-11-24 22:27:02', '5732727248', '378523991166914', 62631);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jolene', 'Ilyukhov', '2021-03-03 09:47:59', '6131508453', '372301655621151', 34986);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Malissia', 'Gossop', '1988-02-14 23:10:49', '2855343186', '337941399894053', 68739);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nada', 'Leicester', '2001-09-12 03:47:54', '4395930654', '374283656662863', 53863);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Terrance', 'Jude', '1992-07-05 13:26:24', '0201979926', '337941794231174', 66882);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Elke', 'Cherry', '1981-12-17 12:36:52', '4525894571', '373954364833902', 46065);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Skipp', 'Geggie', '1995-04-30 16:49:02', '7043139104', '374283282414168', 27256);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Benni', 'Booth-Jarvis', '2021-11-24 00:17:20', '3376661049', '342959604465496', 28130);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gweneth', 'Menat', '2004-01-06 15:15:26', '6529064796', '347149989705204', 41366);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Simeon', 'Daouze', '2018-09-22 22:29:18', '1463698348', '374288561945675', 28067);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Giraud', 'Tocqueville', '2008-10-04 14:30:42', '4818761605', '374288781984330', 36822);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roderick', 'Fidilis', '1981-05-22 17:40:30', '8248820165', '337941564398054', 49761);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lyn', 'Fochs', '2021-02-20 08:54:47', '0519941330', '374288456274710', 44488);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dory', 'McMorland', '1975-07-23 06:10:56', '1033669830', '374283293834800', 65389);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gussie', 'Bracknell', '1994-02-12 16:59:27', '7848758761', '372301016760276', 32402);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Valli', 'Weine', '1981-12-16 18:16:36', '2014123063', '375129778936504', 46990);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kylen', 'Woolf', '2012-07-18 02:33:12', '5912874222', '372318386549972', 56201);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rooney', 'Shankland', '1992-08-20 10:25:06', '3864629101', '376896968911955', 71383);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tammy', 'Cordeau', '1997-03-26 12:17:06', '0537764623', '374283276442522', 58018);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Gar', 'Mayow', '1994-01-27 06:41:54', '6571360225', '374288447072058', 30009);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jania', 'De Cleen', '2024-03-05 23:47:15', '5558626224', '347725878303209', 68603);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Corry', 'Maling', '2019-10-22 23:19:23', '3588036342', '374622009165498', 45665);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Christoffer', 'Pevreal', '2021-05-11 10:13:24', '7953439808', '337941878006351', 70632);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Dolph', 'Patek', '2007-01-12 20:50:00', '0846254778', '374622086294617', 66644);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Oran', 'Tombleson', '2013-11-18 05:31:11', '4769590342', '374622299467612', 45957);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Janella', 'Berens', '2023-11-13 17:27:13', '6279695999', '341379819520921', 63132);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Field', 'Pydcock', '1982-06-07 12:29:56', '1149536454', '337941960278538', 42045);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mylo', 'Cattemull', '1987-05-17 13:27:33', '3534965329', '374288801640987', 40144);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Cody', 'Lodder', '2020-06-06 23:43:16', '2077815965', '337941250803870', 49220);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lida', 'Gladeche', '1993-12-09 09:54:37', '0089258010', '374622304108904', 59013);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Arlyn', 'Pipes', '1984-10-30 19:54:54', '8196620969', '337941104301030', 51063);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emelyne', 'McAulay', '1976-11-18 03:57:23', '4258603058', '374283571808468', 74942);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Penni', 'End', '2007-06-25 00:17:08', '8361834699', '346451133597755', 70059);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kameko', 'Guiot', '2000-08-22 09:47:03', '9629267527', '344471503778050', 56789);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Demeter', 'Bidewel', '1987-02-10 17:16:02', '2330994001', '374283793618059', 58400);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bertha', 'Trevillion', '1983-05-28 17:01:50', '5842716135', '374288981036709', 51794);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Leroy', 'Nicklin', '2014-11-02 19:52:44', '2007974142', '345788866645314', 69497);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Anson', 'Hassent', '2003-12-18 17:49:58', '8383970404', '343950488943442', 68218);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fey', 'Dametti', '2019-05-20 02:48:48', '3460084650', '374283654759653', 29982);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Reginald', 'Gatcliff', '2016-03-01 03:54:07', '5457724093', '374283657061701', 64219);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Godwin', 'Rodenburgh', '2020-09-13 20:03:06', '4371881475', '374622696275675', 66749);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Yoshiko', 'Abbatucci', '2012-08-29 15:11:33', '5568485038', '372301391807106', 52231);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Margi', 'Djurdjevic', '1988-07-30 12:12:38', '4305074192', '374283133348409', 64931);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Fulvia', 'Wastall', '2014-01-02 00:46:27', '1644196166', '372301208171985', 52588);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garrot', 'Couth', '2009-06-02 18:58:38', '3794921283', '378702860051098', 29301);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jocelyn', 'Stennet', '2017-03-05 16:22:10', '2794620770', '374288574313010', 32829);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ethelyn', 'Reyes', '2005-08-21 03:45:58', '2694017606', '337941414439231', 49198);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garald', 'Binny', '2003-05-30 08:38:36', '5915767761', '337941449364438', 49054);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wren', 'Cassley', '2005-02-16 05:32:51', '8045061219', '370851696357217', 73284);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jerrilee', 'Dukesbury', '2002-05-15 02:55:13', '7196891325', '346705004733298', 63375);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Marlowe', 'Maleney', '2014-04-10 20:07:14', '9137774697', '341159300419290', 60459);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Teddi', 'Insworth', '1997-11-18 23:40:53', '1028025238', '372301712457722', 38283);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Catha', 'Huchot', '1989-07-25 21:50:47', '2483853455', '372301190045585', 34072);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ailene', 'Haycock', '2021-05-30 16:25:20', '5027974825', '374622517348743', 62065);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Brier', 'Gillfillan', '1996-10-26 15:28:05', '0004920120', '337941850272435', 56210);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Joan', 'Benstead', '1978-01-07 06:44:02', '2380492921', '377747864598371', 51019);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Aggy', 'Roberts', '1977-12-26 14:17:22', '3913431055', '340515680637150', 63164);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Eveline', 'Doubrava', '2003-07-01 11:09:29', '5940156479', '375246983164134', 29500);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Darbie', 'Ripon', '1987-08-26 03:41:53', '6226527668', '372301412384564', 25200);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Stepha', 'Dinesen', '1981-01-12 02:48:03', '4205656351', '374283011776051', 52794);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roderigo', 'Kolyagin', '1993-01-08 18:04:32', '7040837528', '372301959301112', 36465);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Hazlett', 'Sidebottom', '2011-01-16 17:17:11', '2629126218', '374283484090428', 48107);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Moselle', 'Labrow', '2021-01-21 02:20:12', '7222314482', '337941693321787', 25382);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bailie', 'Mabbott', '2005-07-02 01:36:48', '2634572514', '373182660940763', 55951);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bianca', 'Sant', '2001-04-10 09:19:01', '8419171492', '374288614707023', 55552);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Lanae', 'Creggan', '1978-07-02 02:59:08', '8369697798', '374288809985616', 28508);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jilly', 'Ciepluch', '2004-09-29 05:51:25', '8373896147', '374622893009570', 54541);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Vachel', 'De Witt', '2004-11-18 09:52:28', '2575710855', '337941395967986', 45563);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Garvin', 'Wilcox', '2010-05-15 11:41:17', '6106520739', '374283296085103', 29648);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Karen', 'Kleisle', '2001-07-13 19:05:53', '6657276680', '374283143678837', 30892);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Tarra', 'Eck', '2022-09-13 05:34:58', '5816723367', '349941937238561', 36191);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Bernelle', 'Andrick', '2010-09-17 07:03:50', '9745220345', '348865520742518', 29070);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Wang', 'Jenkins', '2015-02-01 21:47:15', '7248821810', '374288867567835', 53839);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Roxanna', 'Hallowes', '2017-05-26 11:50:03', '5041356645', '371663167303011', 60134);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Jeremias', 'Silbermann', '1977-09-19 04:01:48', '8866472069', '374288287734858', 42782);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Chelsey', 'Hubeaux', '1982-09-09 08:08:28', '1140104640', '374283216842518', 57926);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Rudd', 'Lemmanbie', '1992-02-28 18:14:24', '9415674946', '376650442192785', 48584);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Helenelizabeth', 'Ambrogetti', '1999-06-25 17:26:16', '1863674136', '374622117749571', 28113);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Royall', 'Tripet', '1993-11-07 02:21:36', '0713278544', '374288905989728', 48520);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Conant', 'Accomb', '2017-04-27 13:51:40', '4650993342', '378491875959020', 72187);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Casey', 'Berney', '2006-12-21 01:08:48', '7842817405', '371783050988635', 73242);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Kylen', 'Yurasov', '1998-01-05 10:13:31', '5755714800', '374283282425271', 45120);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('El', 'Linton', '2007-04-18 11:58:46', '6643656915', '374288640175492', 38182);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Starla', 'Downer', '1997-03-08 22:29:32', '4222784818', '374283483963450', 61665);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Nina', 'Gewer', '1985-02-11 10:44:11', '5004219184', '374283620501270', 26323);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Carlene', 'Merriday', '1987-12-31 13:18:22', '1853061301', '374288714256103', 51160);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Emanuel', 'Scragg', '1981-12-10 01:12:08', '8905516602', '337941895420148', 43563);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Mae', 'Jurn', '1991-10-28 11:57:28', '4288852196', '337941928938975', 40950);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Olivier', 'Beat', '2007-12-03 23:11:21', '4639577044', '375663748468396', 45207);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Ellene', 'Shelsher', '1981-07-07 17:40:30', '0214163482', '340382514725697', 33578);
INSERT INTO dbo.Persons (FirstName, LastName, BirthDate, SocialSecurityNumber, CreditCardNumber, Salary) VALUES ('Zea', 'Currie', '1982-05-25 08:55:30', '3112984838', '374288076332666', 44589);


SELECT * FROM dbo.Persons;
GO
